2.0.0.5
	Fixed some bugs with the ReadyCheck UI "Rows" Crashing
	Added Prismatic Eyes to a new Planar Effect remover list similar to the Sheep/Shambler.
	
	Added some translations for Enclave of Ahnket	
	Added a missing French Translation for Volan in Infinity Gate

2.0.0.4

* Add: Added the Yrlwalach Presence sight buff to KBM
* Add: Added the Enclave of Ahnket dungeon from Prophecy of Ahnket
	Big thanks to those who spent time helping test the new dungeon!

2.0.0.3

* Fix: Death / Enrage timers did not always reset on bosses death!

2.0.0.2

* Add: Font can now be selected from the options screen.
			Additionally, you can add new fonts to your own KBM by adding a OTF font to the font directory,
			and searching for FONTSETTINGS in KingMolinator.lua where you can add fonts using the syntax:
			{"Human Readable Name","font/Your-Font-File.otf"},
			
* Fix: All of the raids from Prophecy of Ahnket are now fully translated! Thanks to Clowd for help data mining the original translations!

* Fix: Removed multiple versions of the font files
* Fix: Minor modificaiton to the readycheck system.

2.0.0.1

* Fixed: Version checker believed the same version to be new.

2.0.0.0

* We're growing old, thanks to all the authors contributors and testers,
* with your help we're still going strong and able to commit to future 
* updates continuing in Rift: Prophecy of Ahnket and Rift Prime!
*
* Looking forward to many more updates to come, official releases:
*		https://github.com/kinnou02/king-molinator/releases
*
* Please check there or our rift forum thread for updates!


2.0.0.0
* Add: Alert for Titan Legion Pull
* Add: Isiel 2nd Phase Tank Stacks
* Changed: SheepList with new transformations - Brasse Dwarf Debuffs, thanks to Doran
* Changed: Gilded Prophecy, Drowned Hall and Greenscale's Blight Enrage Timers, thanks to Doran, Aileen and Soulghost91
* Changed: Some fonts and lib changes thanks to Aileen
* Fixed: Titan Phase Percentages
* Fixed: Timer for spin on Isiel
* Fixed: Inconsistent colors for phases on Isiel, thanks to Doran

1.9.9.915 & 1.9.9.916
* Anyone who is working on adding and improving functionality of KBM, collaborate with us on https://github.com/kinnou02/king-molinator/ 
  so that we can cohesively test and release versions together without losing or repeating changes.

1.9.9.914
* New: Add Titan X thanks to Yarrellii
    - German translation for Isiel thanks to Albandito
* New: add a few timers and alerts on Commander Isiel

1.9.9.913
* New: Add Commander Isiel thanks to Yarrellii
    - German translation for Isiel thanks to Albandito
* New: German translation for Azranel thanks to Zysa


1.9.9.912
* New: Add phase for Azranel
* New: Add MechSpy on Azranel for Laser Cuter, Magentized and StickyBomb
* New: Support for most of the mechanics in german
* Fix: French Translation

1.9.9.910
* New: Add TankSwap for Azranel
* New: Add MechSpy on Missile Storm
* New: Add enrage timer for Azranel

1.9.9.909
* New: Added Basic abilities for Azranel from the Bastion of Steel

1.9.9.908
* New: Added all bosses from Normal Mode Tartaric Depths
    - Including German and French translation
* New: Ready Check now shows Eternal Buffs
* New: add more antisheep from dev's abilities

1.9.9.907
* New: Added all bosses from LFR Tartaric Depths Raid
    - Including German and French translation
* New: German translation for Hexatel
* New: French translation for Hexatel
* New: MechSpy for Molten Growth on Ereandorn
* Changed: SheepList with new transformations - Thanks aileen
* Changed: LFR raid are now in slivers tab
* Fixed: OnHeal and OnDamage triggers
* Fixed: Trion changed IDs of Vials, Ready Check has been updated with the new IDs
* Fixed: Radioactive Mark now works correctly - Thanks Tsukimie

1.9.9.906
* Renamed Everything to Prophecy of Ahnket from old expansion name.

1.9.9.905
* New: Timer for the First Funnel on Silgen.
* New: Timer for the First Lava Spout in Phase 3 on Arakhrn.
* Removed: Incorrect alert timers on screen on the Ereandorn fight.

1.9.9.904
* Fixed: Combat Res Flash of the Phoenix.

1.9.9.903
* New: Combat Res monitor with combat reses from new souls.

1.9.9.902
* New: Lava Spout timer to High Priest Arakhurn fight. There can be additional Lava Spouts throughout the fight that are not tracked.
* Changed: Enrage timers with the new timers after patch.

1.9.9.901
* Fixed: The Trigger to Start fight of High Priest Arakhurn.
* Changed: The timeout of the High Priest Arakhurn fight, so it doesn't time out between Phase 2 and Phase 3.
* New: "Ready Check" updated with the level 70 versions of vials/stones/feast.

1.9.9.900
* New: Added GUI support for Prophecy of Ahnket
* New: Added all bosses in I:RotP.
* New: Added the boss of Queen's Foci. 



* Known Bugs
** Ungolok: warning for Ink Blast ability doesn't work.
** Threngar: warning for the Untold Horror (Akvan Monstrosity ability) doesn't work.
** Pumpkin: Sovereign Fervor timer doesn't reset on P1->P2 transition.
** Possible crash on Glacieus (Citadel of Insanity) on frost strike cast
** Zilas' adds are their castbar disabled due to crash

1.7.3.801
* Fixed: Updated and corrected version checking in Messenger.lua

1.7.3.800
* Fixed: Incorrect checking flow for version number.

1.7.3.799
* New: Added "/kbmdefault RezMaster" slash command to reset the size and position.
* Note: Use /kbmdefault to get a list of available default options.

1.7.3.798
* Fixed: Error with TankSwap code. (Missing LibSUnit)
* Inlcudes curse packager push.

1.7.3.796
* Changed: LibSCast 2.1. Attempt to fix Passive style castbars (Akylios & Zilas adds)

1.7.3.795
* Fixed: Error with Trigger code. (Missing LibSUnit)

1.7.3.794 (Alpha)
* Fixed: Error with Phase Monitor code. (Missing LibSUnit)

1.7.3.793 (Alpha)
* Code Structure (Moved from KingMolinator.lua)
** Moved: Alert code to /Modules/Alerts.lua
** Moved: Encounter Timer code to /Modules/EncounterTimer.lua
** Moved: Machanic Spy code to /Modules/MechSpy.lua
** Moved: Mechanic Timer code to /Modules/MechTimer.lua
** Moved: Phase Monitor code to /Modules/PhaseMonitor.lua
** Moved: Tank Swap code to /Modules/TankSwap.lua
** Moved: Trigger code to /Modules/Triggers.lua

1.7.0
* General
** Adding new vials/feast/food. thanks to Kapnia for the IDs
* Uruluuk
** Adding Crashing Boulders Alert
** Change the phase trigger from 30% to 20%
** thanks to Maatang for the adding
* Sicaron
** Adding tank swap mechanic
* Issues
** Possible crash on Glacieus (Citadel of Insanity) on frost strike cast
** Zilas' adds are their castbar disabled due to crash

1.6.0.791.1
* Threngar
** Adding Condemn Alert
* Intrepid Golden Prophecy
** Update of All UTIDs
** Anrak:
*** Adding SandStorm Alert
*** Correct Earth Spines translation for french client
* Expert Dungeons: 
** Adding all 6 NT Experts with french client translation
** 2 Boss disabled: Hydal Ithral and Arak from Nightmare Coast

1.6.0.790.10 
* Threngar
** Fixed tank swap module, stacks and duration of Shadow Glaive should be correctly displayed.
** Removed warning and mechanic spy for Shadow Glaive.
* Finric
** Fixed tank swap module, stacks and duration of Waterlogged should be correctly displayed.
** Added Timer and warning for Contagion.
* Ungolok
** Added a warning for Building Pressure.
** Added a warning for Fatal Current.
* General
** Resmaster: Corrected to include reset after accepting resurrection from Call of the Ascended. Courtesy of Leitsha from official Rift forum. The Players must have KBM updated in order to do it working
** Added Feast of vengeance to ready check.
** Experimental: Added files for Intrepid: Gilded Prophecy
** File rearrangement: Rift 1.0 - 1.9 expert dungeons and raids have been grouped in a subdirectory.

1.6.0.790.9
* Hammerknell
** Sicaron: Change of UTID to mirror the change in game.
** Murdantix: Added a timer for Demonic Leash cast.
** Pumpkin: Added timers for Sovereign Fervor and Scrapyard Rumble.
* General
** Added a particular module for Reflects. Courtesy of Tekt who developed the original macro. This module is triggered automatically, only on following fights:
*** Laethys - Infernal Dawn
*** Laethys - Bindings of Blood: Laethys
*** Planebreaker Abominus
* It works to modify the raid frame of person who needs to be reflected.
* Doesn't work with Gadgets Raid Frames or ClickBox Healer.

1.6.0.790.8
* Jinoscoth
** Display correction for Iced interrupt warning.
* Threngar
** Correction of P3 to P4 transition.
* Murdantix
** Added a timer for Demonic Leash.
* Molinar
** Modified the maximum percentage difference allowed between King and Prince (7%->4%)

1.6.0.790.7
* Threngar
** Fixed a miscoded debuff causing a crash on clients other than French.
* Hammerknell
** Fixed an error in raid header causing crashes on all bosses in the instance. (?)

1.6.0.790.6
* Ready Check
** Added buff Zirthan Curry (Tank food)
* Mount Sharax
** Jinoscoth
*** Added interrupt warning for Frost Bulwark.
*** Added interrupt warning for Iced.
* Threngar
** Threngar
*** Added mechanic Conduit of Martrodraum (Dispell)
*** Added Mechanic Dark Binding (Meteor)
*** Added mechanic Sacrificial Offering (Interrupt)
** Akvan Monstrosity
*** Added mechanic Untold Horror (Interrupt)
*** Added Mechanic Seed of Madness (Dispell)
* Hammerknell
** Moved the instance from Rift part to Nightmare Tide part.
** Reset of records for bosses.
** Murdantix
*** Added mechanic Demonic Leash (player stacks on boss)
* Reorganization of RiftAddon.toc file
* Grouped boss variables and added comments.
* Hierarchization of loaded files and variables.

1.6.0.790.5
* Threngar
** Fixed a bug causing addon crash on death of the boss.
* Johan
** Fixed a bug causing addon crash on death of the boss.
* Pumpkin
** Corrected the name of the boss.
** Added translations for french client:
*** Scrapyard Rumble
*** Sovereign Fervor
** Added tank swap debuff and its translation for french client.

1.6.0.790.4
* Finric
** Corrected translation of Rage of Storms in french client
* Threngar
** Added a template for Akvan Monstrosity
** Added interrupt mechanic.
* Johan
** Added warning for Tactical anchor cast.

1.6.0.790.3
* Johan
** Correction of translation
** Added Overload ability.

1.6.0.790.2
* Partially added Mount Sharax raid, missing first and third boss.
* Translated for French client.
* Added full Tyrant Forge raid Johan translation is Ready, (and then something about getting Pumpkin/Crucia translation from French vid?)
* Translation of R10 for French clients

v1.6.0

System
* New: Created Nightmare Tide base directory structure.
* New: Added Nightmare Tide tab to the Instance selector.
* New: Created Nightmare Tide menu infrastructure (id = NT) for instances.

Menu
* New: Added Drop Down objects.

Triggers
* New: Added :SetMinStack(Min_Stacks) command to trigger objects. Buffs/Debuffs with stacks will only trigger with (Min_Stacks) or more.
* New: If there is a MinStack set for a trigger and a buff returns .stack = nil then the trigger will not fire.

Ready Check
* New: Added additions to Ready Check created by Ivnadar.
* Ready Check Update by Kapnia (Rift Forums).
** New: Feast of the Ghar.
** New: Atragarian Remora.
** New: Sea Pea Porridge.
** New: Coral Whetstone.
** New: Pelagic Powerstone.
** New: Phenomenal Powersurge Vial.
** New: Phenomenal Brightsurge Vial.
** New: Phenomenal Enduring Vial.
** New: Phenomenal Fortified Vial.
** New: Flaring Emblem.
** New: Wind Emblem.
** New: Flaring Emblem.
** New: Thunder Emblem.
** New: Lightning Emblem.
** New: Serrated Edge.
** New: Storm Emblem.
** New: Primal Edge.

Encounters
* New: Templates added by Noshei for The Rhen of Fate.
* New: Added some bosses supplied by Kapnia for Mount Sharax.
* New: Added Jinoscoth.
* New: Added Threngar.
* New: Added Yrlwalach.
* New: Added Menu point for Mount Sharax.

----
v1.5.9

Tier 3
* New: Bindings of Blood: Maelforge (By Apuch@Zaviel & Lifeismystery@Galidra)
* New: Bindings of Blood: Laethys (By Apuch@Zaviel)
* New: Bindings of Blood: Greenscale (By Lupercal@Brisesol)
* New: Bindings of Blood: Akylios (By Lupercal@Brisesol)

LibSUnit
* Change: Reworked some of the Raid/Group handling code and also optimized it a little.

LibSCast
* Fixed: Error 1280 (nil UnitObj). Now has checking to ensure Object exists.

Tier 1 Raids
* Increased all enrage timers by 2 minutes.

Tier 2 Raids
* Increased all enrage timers by 1 minute.

----
v1.5.8

LibSUnit (Safe's Unit Lib) 
* Fixed: Error 1120, which could possibly cause raid tracking issues.
* Optimized: Reworked raid tracking code to be more streamlined.

Menu
* Changed: Reworked menu code to be better separated from the main code.
* New: Started work on new Drop Down menu items.

LibSGui (Safe's GUI Lib)
* New: Added new Drop Down graphics and initial code base.

Res Master (Thanks to RePyH1 on Curse for the Ids)
* New: Added Warrior combat res: Soul Redemption
* New: Added Rogue combat res: Kiss of life

Ready Check
* New: Added Wind Sigil for Clerics. (Sorry it took so long, I feel bad)

Raids
* Planebreaker Bastion
** New: Encounter support for Inyr'Kta (By Noshei)
** New: Encounter support for Abominus (By Noshei)

Experts
* Archive of Flesh
** Emphareal
*** Added: Alert for Flood the Halls (Warning)
*** Added: Alert for Flood the Halls (Duration)

Dungeons
* Archive of Flesh
** Emphareal
*** Added: Alert for Flood the Halls (Warning)
*** Added: Alert for Flood the Halls (Duration)
** Ahzrius
*** Added: Alert for Drastic Renovations.

----
v1.5.7

Raids
* Planebreaker Bastion
** Thrax
*** Fixed: File Encoding to UTF-8

Slivers
* Intrepid Drowned Halls
** Isskal
*** Change: Changed dance notification to simple say "Change"

Translations
* German Updates

----
v1.5.6

Defaults
* New: Added the follow to /kbmdefault
** PlayerCastbar : Resets the position of the Player Castbar.
** TargetCastbar : Resets the position of the Target Castbar.
** FocusCastbar  : Resets the position of the Focus Castbar.
** BossCastbar	 : Resets the position of the global Boss Castbars.
** Castbars		 : Resets all of the above.

Development
* Timers
** Change: :SetLink(TimerObj) method will now Attach to a Master Timer. This allows for multiple Timers to link to a single Timer.
** Fixed: Master Timers now apply their settings to all slave timers when they are changed in the menu. This includes enabled and color settings.

System
* Fixed: Removed KBM table from Global Namespace.
* Fixed: Removed KBM_Debug function from Global Namespace.
* Fixed: Removed TriggerObj from Global Namespace.
* Fixed: Removed AlertObj from Global Namespace.
* Fixed: Removed _lsu from Global Namespace (LibSUnit)
* Fixed: Removed AlertObj from Global Namespace.
* Fixed: Removed a bunch of Globals from (Objects.Lua)

Add-Watch
* Change: Requires you to have at least Add-Watch 0.2.9 (Including Alpha)

Mechanic Timers
* Fixed: Issues where color changes were not implemented immediately via the menu.

Alerts
* Fixed: Issues where color changes were not implemented immediately via the menu.
* Fixed: (Error 193) Changing the Border/Notify option in the side panel for individual Alerts would throw an error. (And not change it)
* New: Added :SetLink(AlertObject) method. (Works the same way as the new Timer:SetLink(TimerObj) method)

Mechanic Spies
* Fixed: Issues where color changes were not implemented immediately via the menu.
* New: Added :SetLink(SpyObject) method. (Works the same way as the new Timer:SetLink(TimerObj) method)

LibSBuff
* Changed: Halved call time for buff handling.
* Fixed: Added capture for unhandled .Unit fields.

Raids
* New: Planebreaker Bastion
** New: Eggtenders
*** New: Timers added for Bile Faucet
*** New: Mechanic Spy and Screen Alert added for Pool of Bile
*** New: Castbars added for all Eggtenders.
** New: Warden Thrax
*** New: Alerts and Timers added for Greater Tectonic Transference.
*** New: Alerts and Timers added for Chain Gang.
*** New: Alert added for Knockback (Seismic Disturbance)
*** New: Alert added for Execution.
*** New: Alert added for Rockslide.
*** New: Castbar added.
** New: Proteus
*** New: Added Mechanic Spy and Screen Alert for Unstoppable Rampage.
*** New: Glacial Lure and Screen Alert for Glacial Lure.

* The Infinity Gate
** Volan (Work in Progress)
*** New: Timer added for Energy Beam.
*** New: Timer added for Spine Shatter.
*** New: Timers added for Exitinciton.
*** New: Timers, Mechanic Spy and Alert added for Outbreak.
*** New: Eve of Oblivion.

Slivers
* Grim Awakening
** Salvarola
*** New: Added Alert and Spy for Infernal Burn.
*** New: Added Personal Alert for Infernal Burn.
* New: Intrepid Drowned Halls
** New: All bosses and mechanics have been duplicated in Template mode. (UTID's required)
** Note: There seems to be some confusion to the new Dance pattern for Isskal. Some are saying there are 2 now, and possibly shorter.
* Fixed: Drowned Halls Menu Options.

----
v1.5.5

Rift Version
* Change: Now supports Rift 2.5

Marks
* New: Added all new marks available with Rift 2.5.

Percentage Monitor
* Fixed: Issues with Mark sizes and transparency.

----
v1.5.4

Castbars
* Fixed: Error 111 when unpinning castbars via the encounter castbar tab while global bars are not visible.

----
v1.5.3

Castbars
* Fixed: Error 609 related to Dynamic unit castbar handling.
* Fixed: A few lag issues with texture loading. (any "ui" based errors, including error 690)
* Fixed: Added catch for error 4535 (possibly performance related).

LibSBuff
* Fixed: Error 81 for buff monitoring.

Encounters
* Infinity Gate
** New: Added Breaker X-1 "Onyx"
*** New: Added Enrage timer of 9 minutes.
*** New: Added Tank-Swap for Fission Burst.
*** New: Added Alert and Spy for Ionic Decay.
*** New: Added Alert and Spy for Kinetic Distortion.
*** New: Added Alert for Quantum Disruptor.
** New: Added Viktus and Mordan
*** New: Added Enrage timer of 6 minutes 30 seconds.
*** New: Added Timer and Alert for Sibling Rivalry casts.
*** New: Added Timer and Alert for Ensnaring Creepers.
*** New: Added Timer and Alert for Ravenous Legion.
** New: Added Template for Volan.
* Grim Awakening
** Salvarola
*** New: Added Percentage Monitor for Flames and Blood
*** New: Added Phase Tracking in Phase Monitor to account for Flames and Blood.

Translations
* French updates
* German updates

----
v1.5.2

Castbars
* Fixed: Error 1304 - Passive castbar creation.
* Fixed: Error 70 - Player castbar pin scaling.
* Fixed: Error 621 - For either missing Name or missing object creation.
* Fixed: Error 1236 - Cast data access error.

KBM Messenger
* Change: Now uses new API event system.
* Change: Decreased the time it takes to gather KBM version info by 50% (This will be most noticeable in Ready Check) 

Res Master
* Fixed: Issues with Raid/Group members being only partially available when first encountered, and being locked out from updating.

LibSUnit
* Change: Prevented Units visible via damage [Idle] from being listed in Target List.
* Fixed: Partially available units were never registering themselves in the Name Lookup list, and never doing so from that point forward.

Tank-Swap
* Change: Tanks are now listed in order of Group/Raid position.

Menu
* Fixed: Error 906 - Menu items without settings tables.

Encounters
* Fixed: Error 4134 - Failed boss mod start attempt (forced reset).

Endless Eclipse
* Kain the Reaper
** New: Added Foul Blood debuff duration (Hard Mode usually)

----
v1.5.1

LibSUnit
* New: Added event Event.SafesUnitLib.Unit.Detail.Position (X or Y or Z position has changed) table{[UnitID] = UnitObj}
* New: Added a clean method for retrieving Unit objects. UnitObj = LibSUnit:RequestDetails(UnitID)
* Note: Using this method will create the Unit if available, or return an existing unit object.
* New: Now checks for .relation member during the standard damage/heal handler. If changed, this will trigger Event.SafesUnitLib.Unit.Detail.Relation(table{Key = UID, Value = UnitObject})
* Note: The Rift Addon API still doesn't support native Event.Unit.Detail.Relation, so until it does, the above will remain in the standard damage/heal handler.
* Fixed: Prevented UnitObj.Health sometimes being nil.
* Fixed: Table entry errors for new units created via Unit.Target.
* Fixed: Some odd behaviour with cross-shard raid messages.
* Fixed: Forced removal of targets which have become idle/removed. (Disposable pet fix for Add-Watch)
* Removed: Redundant raid queue code. Slight performance increase.

LibSBuff
* Optimized: Removed training wheels from the system. Performance boost.

Res Master
* Fixed: Graphical glitch with some death states. This should now be more reliable.

Encounters
* Fixed: Moved Combat state checking higher in the condition stage to prevent false encounter starts, and Mods locking themselves from starting correctly.
* Note: Recently I've noticed Mobs and Players having no combat state both in-game and via the Addon API, this was messing with KBM's Encounter validity states.
* Change: Should a Mod incorrectly attempt a start due to unusual client states, KBM will hard reset the mod preventing it from locking up entirely.

Menu
* Fixed: All custom color settings will now work as intended. It'll remember default colors, and last color chosen when switching to/from custom.
* Change: Custom colors for objects are applied immediately.

Notify and Chat Events
* Fixed: Removed global references.
* Change: Prevented capture method sending nil for Target.
* Change: Now sends Boss.Name as the Caster field.

New Castbar System (During Alpha)
* IMPORTANT: ALL Castbar settings have be reset to default due to how the new system works.
* New: Engine and Bar for Player castbar.
* New: Engine and Bar for Target castbar.
* New: Engine and Bar Player Focus castbar.
* New: Engine and Bars for all Encounters.
* New: Global Encounter Castbar settings are just that, regardless of Multi-boss fights. 
* New: Castbar placement is now based on relative screen coordinates rather than absolute.
* New: Encounter castbars automatically dock to the global anchor and expand outward should more than 1 be casting at a time.
* Change: Overriding Global Encounter Castbar settings will allow you to disable/enable, pin/unpin and/or scale on a per castbar basis.
* Change: All cast, channel and interrupt triggers are now handled via the new engines event system.
* Change: Maximum castbar size has been increased to 200%.
* Change: Pinned castbars inherit the Global Encounter Castbar settings.
* Change: Custom castbars retain Style and Texture settings from global settings. These cannot be changed individually.
* Change: Simple style castbars now follow the same 
* Removed: Old KBM Castbar system has been completely removed freeing up CPU cycles for KBM's main loop.

Phase Monitor
* Change: Added a catch for cases when the monitor incorrectly starts and remains visible.

Raids
* Endless Eclipse
** Dreadlord Goloch
*** New: Added Alert for Baneful Smash.
*** Removed: Cast alert for End of Days. Only Buff purge remains as an alert.
* Frozen Tempest
** Kolmasveli and Toinenveli
*** New: Timer for 60% DPS gate breach for first hide. (1:30)
*** Change: Kolmasveli's Hide mechanic is now cyan (light blue) to match his Ire mechanic.
*** Change: Kolmasveli's Ire debuff mechanic spy is now blue.
*** Change: Tempest Flare now defaults to yellow, as it's an interrupt mechanic.
** Artifex Zaviel
*** New: Updated UTID for Zaviel. (Recording will now start)
*** New: Updated UTID for Power Conducer.
** Crucia
*** Fixed: Alert Tab not showing.

Slivers
* Grim Awakening
** Magma Lord Kaliban
*** New: Added Alert for Sanguine Incantation. (Standard Yellow interrupt)
*** Change: Alert color changed for soul shatter. Now Orange by default.
** Salvarola
*** New: Added Mechanic Spy for Curse of Magma.
*** New: Added Enrage Timer for 5:30.
*** Change: Incineration timer changed from a Wait style to standard.
** Ultane
*** New: Added Tank-Swap monitoring for Devil's Pact.
*** New: Added Alert and Spy for Spirit Shackle
*** New: Added Alert and Spy for Infernal Radiance.
*** New: Enrage Timer added.

----
v1.5.0

LibSUnit
* Change: Res States will only be checked if a heal of more than 1 is encountered. This should eradicate false res events.

Chronicle
* Fixed: Error 155 in Kyo encounter.

----
v1.4.9

Note: 
* The Event model isn't working as intended. It'll not break, however event removal blocks pass-through to the game world. I'm converting all Frame events to work as it was intended. As soon as Trion fix their end, KBM will work as planned.

System
* Change: Renamed some event labels to avoid issues with other addons.
* Menu
** Fixed: All Timer, Alert and Spy options should once again be adjustable without needing to /reloadui or log out/in.
* Drag Frames
** Change: Updated to new event model.
* KBM Button
** Change: Updated to new event model.
** Fixed: Restored functionality to move the button.

Ready Check
* Change: Converted Button systems over to new event model.
* Change: Prevented errors with corrupt or incorrect settings.
* Change: Optimized performance.
* Change: Converted to new Rift text renderer for all shadow effects. (Reduced memory footprint)

Res Master
* Fixed: Issues with resizing while Res Frames where active.

LibSUnit
* Fixed: Rare Error 1112. Possibly due to lag.
* Fixed: Minor memory leak during some target changes. Unknown Side effects, which could possibly cause the above over long periods.
* Fixed: Accuracy of tracking when units are created via target changes.
* Changed: Optimized some Raid management code.
* Note: The above fixes and change should see an improvement on memory management and performance.

Slash Command "/kbmdefault menu"
* Fixed: Updated to point to new menu system.

Percentage Monitor
* Fixed: Settings are applied more reliably upon start-up.
* Change: Updated to new event model.
* Change: Optimized performance slightly.
* Change: Converted to new Rift text renderer for all shadow effects. (Reduced memory footprint)

Chronicles
* Queens Gambit
** New: Abido Kyo
*** New: Added Encounter tracking.
*** New: Added Timer and Alert for Steel Whirl.
*** New: Added Alert for Shock Blast.
** New: Och and Krock
*** New: Added Encounter tracking.
*** New: Added HP Tracking. (Percentage Monitor - 7%)

Translations
* French Updates
* German Updates

----
v1.4.8

Ready Check
* Stones
** New: Tracking for Coruscating Powerstone.
** New: Tracking for Exceptional Whetstone.
** New: Tracking for Exceptional Oilstone.
* Potions
** New: Tracking for Prime Brightsurge Vial.
** New: Tracking for Prime Powersurge Vial.
** New: Tracking for Prime Enduring Vial.
** New: Tracking for Prime Fortified Vial.

Options
* Fixed: Errors when selecting scaling Options with Castbars.

Mechanic Spy
* New: Added MechObj:SetSource() if you'd rather display the source of triggers rather than targets.

LibSBuff
* Change: Removed warning message for slow computers. I'll bring it back later as an option for those wanting to monitor performance.

Instances
* New: Encounter victory will now add defeated bosses to the ignore list to prevent re-fires of the encounter.
* Note: If an encounter states a victory prematurely then type /kbmreset to clear the ignore list. Should be very, very rare, if ever.

Raids
* Endless Eclipse
** Progenitor Saetos
*** Change: Entropic Abyss will now only show 1 mechanic spy object.
*** Change: Ebon Eruption spy will now display the channel duration.

Expert Dungeons
* Exodus of the Storm Queen
** General Grim
*** New: Added an alert for Flash Freeze.

Normal Dungeons
* Exodus of the Storm Queen
** Valthundr
*** New: Added an alert for Hide mechanic
*** New: Added an alert for Stack in mechanic (Frost Bound).
** General Grim
*** New: Added an alert for Flash Freeze.


----
v1.4.7

System
* Fixed: Major crash with those who updated previous versions with the Rift tab selected (Errors 369 and 81)

Translations
* Updated French translations for Grim Awakening.

----
v1.4.6

Menu System
* Change: Now uses far less memory (around 10Mb+).
* Stage 1: Complete
* Complete rewrite of the underlying menu code in preparation for new functionality.
* At the moment this is just reproducing old functionality.

Plug-Ins
* Mark-It and Add-Watch will require updating.

Ready Check
* New: Added Vampiric Essence. (60: Warrior, Cleric, Rogue - Tank - High)
* New: Added Storm Sigil. (60: Warrior - Medium)

Encounters
* Change: Instance Headers and Encounter Files no longer create menu items within their files.

Grim Awakening
* New: Kyzan.
** New: Encounter Created.
** New: Timer and Alert added for Delayed Annihilation.
** New: Spy added for Soul Leech.
** New: Spy added for Abhorrent Growth.
** New: Spy added for Phase Rip.
** New: Spy added for Bone Harvest.
* New: Magma Lord Kaliban.
** New: Encounter Created.
** New: Timer, Alert and Spy added for Soul Shatter.
** New: Timer, Alert and Spy added for Gaze.
* New: Salvarola.
** New: Encounter Created.
** New: Timer and Alert added for Incineration.
** New: Spy added for Mindsear.
* New: Ultane.
** New: Encounter Created.

Regulos
* Fixed: Issues with Castbar settings causing occasional settings resets.
* Fixed: Castbars were not saving correctly.
* Fixed: Sicaron's castbar was not showing.

----
v1.4.5

Res Master
* Fixed: Issues with Res messages only being sent to group members, and never to raid members.
* Fixed: Vanishing player names when coming off cooldown.
* New: Dead Raid members with battle resses are now displayed with a gray bar.

LibSUnit
* Fixed: Once again tracks Party/Raid group modes correctly.
* New: Added event - UnitObj = Event.SafesUnitLib.Raid.Death

Endless Eclipse
* Kain
** New: Added Mechanic Spy for Foul Blood.

----
v1.4.4

Castbar Triggers
* Fixed: Error 1682 - nil TriggerObj

----
v1.4.3

* Conversion of KBM Core events over to new Rift Event API.
* Note: KBM Options Menu will be converted over soon, although it is also being rewritten from the ground up. (See LibSGui)

Ready Check
* Change: Convert over to new Event API
* New: Added tracking for Stellar Fortified Vial.
* New: Added tracking for Excellent Fortified Vial.

LibSUnit
* Change: Converted all Events over to the new Rift Event API.

Phase Monitor
* Fixed: Sub 3% precision display wasn't triggering until sub 2%

Tank-Swap
* New: Can now handle tracking for up to 4 debuffs.

Triggers
* Change: "buff" and "buffRemove" are now linked directly to a supplied BossObj.Name
* Change: "playerDebuff" will now link directly to "playerBuff" and use a single check during combat. (Performance boost)
* Change: Removed handling for CastID, PersonalCastID, ChannelID, PersonalChannelID, InterruptID and PersonalInterruptID. (Performance boost, removed due to not possible in API)
* Change: "cast", "personalCast", "channel", "personalChannel", "interrupt", "personalInterrupt" changed to ModID-BossName-Trigger format to prevent overwrites.

Mechanic Timers
* New: Added method Timer:Wait([Priority]) - Priority defaults to -1 (and is currently not calculated)
* New: Setting a Wait timer will keep the timer in the list (with elapsed time) until the next trigger. 

Rez Master
* New: Res frames can now either Cascade (Original) or Climb (New)
* Change: Converted to new Rift 2.2 API Event system.
* Change: Now uses Safes Table Library (LibSata) for all sorting and updating.

Endless Eclipse
* Progenitor Saetos
** New: Added Personal alert for Soul Rapture (need confirmation on Debuff name, Hard Mode purple bubble, or Buff ID).
** Change: Ebon Eruption timers and alerts are now prefix with the corresponding mini.
** Fixed: Enabled the Percentage Monitor to fire for the final two.
* Reguloas
** New: Added Phase tracking.
** New: Added Timer for first Tentacle Storm (minimum).
** New: Added Wait Timer for Crash of Souls. (Cooldown)
** New: Added Wait Timer for Vanquish the Weak. (Cooldown)
** New: Added Alert and Spy for Unholy Dominion.
** New: Added Alert for Tentacle Storm duration.
** New: Added Alert for "Look Away" mechanic for Molinar.
** New: Added Alerts and Spies for Sicaron's bubbles.
** New: Added Spy for Seething Darkness.
** New: Added Alert for Excruciating Hex for Sicaron.

Frozen Tempest
* Galidra
** Fixed: All Castbars now remember their settings correctly (Galidra, Vortex and Amrian)
** New: Added Unit tracking for Hard Mode unit Amrian. (HM)
** New: Added Persistent Castbar for Amrian. (HM)
** New: Added Percentage tracking for Amrian on the Phase Monitor (Only during Hard Mode).
** New: Added Percentage Monitor for tracking 10% difference (Only during Hard Mode).
** New: Added Mechanic Spy and Personal Alert for Hypothermic Induction. (HM)
** New: Added Alert for Razorwind Blizzard. (HM)
** New: Added Mechanic Spy for target of Razorwind Blizzard. (HM)
** New: Added Tank-Swap monitoring for Deathly Chill (HM)
* Zaviel
** Change: Arc Weld is now flagged as an important Personal Alert.
** Change: Increased Power Conducer timer by 5 seconds.
** New: Power Conducer timer will now stop at the start of Phase 2.
* Kolmasveli & Toinenveli
** Change: Removed the timer stops for Glimpse at 10% as they can technically be cast again.
* Crucia
** Fixed: Elemental Castbar was not remember settings after restarting Rift/KBM.

Triumph of the Dragon Queen
* Jultharin
** Change: Reduced the Enrage timer to 5:10

Golem Foundry (Normal)
* Locomotive Bulwark
** New: Added UTID for this Unit.
* Manslaughter
** New: Added UTID for this Unit.
* C10N3
** Change: Now triggers and tracks via Boss UTID.

* German Updates.
* French Updates.

----
v1.4.2

Rift
* Change: Requires at least Rift 2.2

General
* Fixed: Issue with rare start-up error (137)

Percentage Monitor
* Fixed: Prevented Axis errors with Percentage Monitor free resize.
* New: Added methods :SetBossLeft(BossObj) and :SetBossRight(BossObj) - Note: ID's for existing Monitors will be pulled from BossObj.Mod.ID
* New: Added optional parameter to :Create method, Manual = nil[/True] if supplied then must be started manually. (:Create(BossL, BossR, Difference[, Manual])

Ready Check
* New: Added Stellar Prismatic Wellspring (All, 60, High)
* New: Added Flaring Sigil (Mage, Cleric, 60, Medium)
* New: Added Planar Edge (Warrior, 60, Medium)
* New: Added Honed Edge (Rogue, 60, Medium)
* New: Added Lightning Sigil (Rogue, 60, Medium)

Tank-Swap
* New: Now accepts both Buff Name (buffDetails.name) and BTID as valid buffs (buffDetails.LibSBuffType or buffDetails.type)
* New: You can now scale the Width/Height of the Tank-Swap monitor (Text will adjust to the smallest scale automatically when scaling only one dimension).

LibSBuff
* Change: Now converted over to new Rift 2.2 API Event system.

LibSUnit
* Change: Now uses LibUnitChange v1.3

Triggers
* New: Method added Trigger:AddAlertSeq(AlertObj, Player = true/false) - Adds an Alert Object to the Alert sequence list for a created Trigger.
* New: Method added Trigger:AddTimerSeq(TimerObj) - Adds a Timer Object to the Timer sequence list for a created Trigger.
* New: Method added Trigger:ResetAlertSeq() - Resets the counter for the Alert sequence position.
* New: Method added Trigger:ResetTimerSeq() - Resets the counter for the Timer sequence position
* New: Method added Trigger:ResetSeq() - Resets both Timer and Alert positions.
* New: Added Trigger type "castID". Operates like "cast", but is expecting an ability id rather than an ability name (Locale independent)
* New: Added Trigger type "channelID". Operates like "channel", but is expecting an ability id rather an ability name (Locale independent)
* New: Added Trigger type "interruptID". Operates like "interrupt", but is expecting an ability id rather than an ability name (Locale independent)
* New: Added Trigger type "personalInterruptID". Operates like "personalInterrupt", but is expecting an ability id rather than an ability name (Locale independent)
* New: Added Trigger type "personalChannel". (Was missing from the Personal style trigger list)
* New: Added Trigger type "personalChannelID". Operates like "personalChannel", but is expecting an ability id rather than an ability name (Locale independent)
* New: Added Trigger type "personalCastID". Operates like "personalCast", but is expecting an ability id rather than an ability name (Locale independent)
* NOTE: "Personal" style casts, channels and interrupts will only trigger if the players current target or focus is the unit in question.
* Fixed: Timers which trigger after another timer are working again. (ForceStop was flagged always on /rolleyes)

Encounters

Endless Eclipse
* Matriarch of Pestilence
** New: Added Mechanic Spy for Torment. [Ivn]
** New: Added Timer for Sudden Doom. [Ivn]
* Dread Lord Goloch
** New: Added Tank-Swap monitor for Dread Scythe. [Ivn]
** New: Added Timer and Mechanic Spy for Glimpse of Mortality. [Ivn]
** New: Added Timer and Alert for End of Days. [Ivn]
** New: Added Mechanic Spy for Gatekeeper's Curse. [Ivn]
** New: Added Mechanic Spy for Lingering Torment. [Ivn]
** New: Added Timer for Baleful Smash. [Ivn]
* Kain the Reaper
** New: Added Alert for Vile Blood. [Ivn]
** New: Added Alert for Foul Blood. [Ivn]
** New: Added Mechanic Spy for Ravenous Hunger. [Ivn]
** New: Added Mechanic Spy for Voracious Hunger. [Ivn]
** New: Added Unit tracking for Zathral Ashtongue, Baziel Rotflesh and Deathbound Bloodthief. [Ivn]
* Progenitor Saetos
** Fixed: Now returns correct Boss Objects for each boss. (Phase Monitor updates will be working) [Kek]
** Change: Bosses will now be removed from the Phase Monitor when they die. [Kek]
** New: Added Percentage Monitor tracking (5% diff) for the final mini and Progenitor. [Kek]
** New: Added Final phase tracking in the Monitor. [Kek]
* Regulos
** New: Added UTID for Regulos. [Ivn]
** New: Added Mechanic Spy and Alert for Eradicate. [Ivn]
** New: Added Mechanic Spy for Impending Doom. [Ivn]
** New: Added Mechanic Spy for Glimpse the Abyss. [Ivn]
** New: Added Timer for Death's Apotheosis. [Ivn]
** New: Added Alert for Vanquish the Weak. [Ivn]

Frozen Tempest
* Artifex Zaviel
** New: Added Mechanic Spy object for Engergy Conduit (if you prefer those over the alerts). [Kek]
* Kolmasveli and Toinenveli
** New: Added Mechanic Spy object for tracking Devastating Shock. [Kek]
** Change: Adjusted timer for 3rd "Hide" mechanic. [Ivn]
* Crucia
** New: Various additional mechanic support. [Kek and Ivn]

Triumph of the Dragon Queen
* Jultharin
** Change: Enrage Timer udpated. [Ivn]
* General Typhiria
** Change: Enrage Timer updated. [Ivn]
** New: Added Phase Monitoring. [Ivn]
** New: Added Timer and Alert for Dark Clouds. [Ivn]
** New: Added Storm Blast count tracking. [Ivn]
** New: Added Timer and Alert for Storm Blast. [Ivn]
** New: Added Timer for Typhiria's Wrath. [Ivn]
** New: Added Timer and Alerts for Tempest of Agony. [Ivn]

Translations
* German Updates.
* French Updates.
----
v1.4.1

Menu
* New: The menu window will now remember which Rift tab you were last in (Base or Storm Legion).

Encounters
* New: When an encounter triggers a victory, all tracked units are entered in to an Ignore List to prevent residual units re-trigger the same encounter.
* Note: Using /kbmreset will force clear this list in the rare events of false positives.

LibSUnit
* Change: When units enter a Partial state, their Combat flag is forced to false.
* Change: When units die, their Combat flag is forced to false.

Mechanic Timers
* New: Repeating and Wait timers can now be forced to stop by using KBM.MechTimer:AddRemove(Timer, true)
* Change: Mechanic Timers can now trigger multiple timers at the same time, at any point in its duration.

Slash Commands
* Fixed: Typing /kbmbuffs USERNAME works again.

Percentage Monitor
* New: Completely redesigned and made to be a module available to any raid encounter.
* New: The graphics have been overhauled.
* New: Ability to freely scale the monitor via the mouse wheel, between 50%-150%.
* New: Middle click [while unlocked] will reset the scale to default (100%)
* New: Option to hide/display Boss names on the monitor.
* New: Option to hide/display Boss percentages on the monitor (text form).
* New: Option to hide/display Boss raid marks on the monitor (represented via internal Rift raid marks).

Res Master
* Change: Name changed to Res Master.
* Change: Enabling [from disabled] Res Master in-game will now update current Raid Res status (rather than requiring a /reloadui)
* Change: Attempted to solve the "Blue Bar" issue with players with missing callings.

Ready Check
* New: Remarkable Oilstone (Rogue, Warrior, 60, High)
* New: Kraken Hors D'oeuvres (Cleric, Warrior, 60, Tank, High)
* New: Stuffed Mushrooms (Rogue, 60, Tank, High)
* New: Sharpfin Chops (Mage, Cleric, 60, High)
* New: Prime Flycatcher (Warrior, Rogue, 60, High)
* New: Octopus Broth (Warrior, Rogue, 60, Medium)
* New: Excellent Powersurge Vial (Warrior, Rogue, 60, Medium)
* New: Excellent Brightsurge Vial (Mage, Cleric, 60, Medium)
* New: Excellent Enduring Vial (Rogue, Warrior, Cleric, 60, Medium, Tank)

Raids
Endless Eclipse
* Progenitor Saetos
** New: Added Phase Monitor Percentage tracking for all mini bosses.
** New: Added Enrage Timer.
* Matriarch of Pestilence
** New: Added Enrage Timer of 7 minutes.
** New: Added Interrupt Alert and Stop Trigger for Wave of Decay.
* Dread Lord Goloch
** New: Enabled Tank-Swap for Dread Scythe
Frozen Tempest
* Kolmasveli
** New: Added the new Percentage Monitor to this encounter.
** New: Added UTID for Energy Vortex.
** Fixed: The Energy Vortex should no longer trigger outside of the encounter.
* Artifex Zaviel
** New: Added Phase Monitoring for Power Conducers
** New: Added Timers for each Conducer phase.
** New: Added an Alert for the start of each Conducer phase.
* Crucia
** New: Added Refactored Construct unit for future tracking.
** New: Added an Alert for Tempest Fury (Look away mechanic).
** New: Added Timer for Orbital Strike (Experimental)
** New: Added Timer for Lightning Breath (Experimental)
** New: Added Personal Alert and Stop trigger for Shocking Pulse interrupt.
** New: Added Personal Alert for Lightning Rod.
** New: Enabled Tank-Swap for Conductive Armor.

Hammerknell Fortress
* Rune King Molinar
** New: Added the new Percentage Monitor to this encounter.
** Removed: Original Percentage Monitor and related code.

Slivers
Rise of the Phoenix
* High Priest Arakhurn
** Changed: Converted completely over to a UTID checking system.
** Fixed: Check added to ensure a BossObj has a valid UnitList. (Error 399)

----
v1.4.0

Rez Master
* Options
** Fixed: Added the method GatherRaidInfo again when enabling Rez Master via the options menu.

Raids
Hammerknell
* Inwar Darktide
** Fixed: Error with BossObj (Error 498)

Slivers
Triumph of the Dragon Queen
* General Typhiria
** Change: Adjusted enrage timer to 6 minutes.

Rise of the Phoenix
* High Priest Arakhurn
** Fixed: Error with Tank-Swap Unit change in P2. (Error 387)

Experts
Empyrean Core
* Baird Bringhurst
** Change: Adjusted enrage timer to 7 minutes.

Tower of the Shattered
* Psychophage Primakov
** Change: Adjusted enrage timer to 7 mintues.

----
v1.3.9

New: Safe's Unit Library (LibSUnit)
* Note: This is still classed as alpha and subject to change. (Although, I would say the event layout is pretty much final)
* Removed: Safe's Raid Manager (LibSRM - Depreciated)

Tank-Swap
* New: Ability to track agro from 2 Bosses (Experimental)

Unit Tracking
* Removed: All related code to unit tracking has been removed and replaced by LibSUnit.
* Change: All previous Unit Detail lookups and comparisons have been replaced by Events with Unit Objects.
* Note: This may take some time to iron out any glitches in the system (major overhaul).

Plug-Ins
* New: KBM now had the ability to check for a Min version for any Plug-Ins.
* Change: Plug-Ins now require a .Version table, which includes at least Version:Load() and Version:Check(Revision)

Endless Eclipse
* Progenitor Saetos
** New: UTID updated.
* Juntun
** New: UTID udpated.
* Ebassi
** New: UTID updated.
* Arebus
** New: UTID udpated.
* Rhu'Megar
** New: UTID updated.
* Matriach of Pestilence
** New: Added Personal Alert for Necrotic Spores
** New: Added Personal Alert for Volatile Infection

Frozen Tempest
*  Artifex Zaviel
** New: Enrage timer added for 7 minutes.
** New: Added Alert and Stop trigger for Reconstructive Beam.
* Kolmasveli and Toinenveli
** New: Enrage timer added for 7 minutes.
** New: Tank-Swap enabled for both Ire debuffs.
** New: Added Alert for Kolmasveli's Glimpse of Infinity channel. (Verbose "Hide from Kolmasveli!")
** New: Added Alert for Toinenveli's Glimpse of Infinity channel. (Verbose "Hide from Toinenveli!")
** New: Enabled new Multi-Tank Aggro feature in Tank-Swap.
** New: Added Personal Alert and Mechanic Spy for Sparking Eruption.
** New: Added Alert and Stop Trigger for Energy Vortex casting Tempest Flare.
** New: Added a Castbar for Energy Vortex.
** New: Added Unit Tracking for Energy Vortex.
** Change: This encounter will now correctly trigger a victory only after both bosses have died, not just Kolmasveli.
** New: Added a persistent Castbar for Toinenveli.
** New: Phase Tracking for 50%, 30% and 10% added for both bosses. Intiatial system, may be revised.

Triumph of the Dragon Queen
* Grand Falconer Zoles
** Fixed: Should now return the correct Unit Object during new add spawns.

Experts
Empyrean Core
* Baird Bringhurst
** New: Enrage timer added for 13.5 minutes.

Tower of the Shattered
* Psychophage Primakov
** New: Enrage timer added for 8 mintues (Estimate)

Unhallowed Boneforge
* Necrotic Throne
** Fixed: Phase Monitor should now correctly track at least the two active thrones correctly.

----
v1.3.8

* Percentage Monitor
** Fixed: UnitID Percent refence object error. (2962)

Storm Legion

Endless Eclipse
* New: Regulos Template
* Progenitor Saetos
** New: Added 4 additional units for ID capture and encounter launching.
** Fixed: Corrected name.

Frozen Tempest
* Menu
** Change: Re-ordered Menu items to better portray progress.
* Gangnum
** New: Added Mechanic Spy for Tempest Wrath.
** New: Added personal Alert for Tempest Wrath debuff.
** New: Added personal Alert for Move away from the Tempest after debuff drops.
** New: Added Alert for Blinding Surge.
* Artifex Zaviel
** New: Added personal Alert for Arc Weld mechanic.
** New: Added Mechanic Spy for Arc Weld.
** New: Added Alert for Energy Conduit cast warning.
** New: Added Alert for debuff duration of Energy Conduit.
** New: Added Tank-Swap monitor for both Dissonant Vitality and Energy Conduit.
** New: Added Phase Tracking.
** New: Added warning Alert and duration Alert for Ensnaring Jolt.
** Fixed: Corrected name.

Triumph of the Dragon Queen
* Cyril
** New: Added Tank-Swap monitoring for Mental Anguish.
** New: Added Alert for Mien of Supremacy purge. After looking through the logs not entirely sure this work first time, it should though.
* General Typheria

----
v1.3.7

Encounters
* New: The slash command /kbmreset will now provide an Event.KingMolinator.Encounter.End trigger (Type = "reset").

Phase Monitor
* New: Percent style objectives. Added DisplayName field check for bosses with verbose style names.
* Note: Name should always be the actual Unit name, DisplayName field should be added if you wish this to be something different.

Ready Check
* New: Feast of Domination AP (Warrior, Rogue, High, 60)
* New: Stellar Powersurge Vial (Warrior, Rogue, High, 60)
* New: Luminescent Powerstone (Cleric, Mage, High, 60)
* New: Stellar Brightsurge Vial (Cleric, Mage, High, 60)
* New: Stellar Enduring Vial (Warrior, Rogue, Cleric, High, Tank, 60)
* New: Remarkable Whetstone (Warrior, Rogue, High, 60)

Storm Legion

Frozen Tempest
* Galidra
** New: Added dual Tank-Swap monitoring for Hoarfrost and Voltaic Spasms.
** New: Added Unit Tracking for Shrouding Vortex.
** New: Added a Timer for tracking Phase 1 durations, and first Phase 2.
** New: Added Mechanic Spy for Glacial Rime.
** New: Added Alert and stop trigger for Cyclonic Destruction interrupt.
** New: Added Alert and Timer for Lacerating Cascade.

Triumph of the Dragon Queen
* Grand Falconer Zoles
** New: Added Alert and Stop trigger for Static Empowerment interrupt.
** New: Added Timers for First and following Void Spawn phases.
** New: Added Tank-Swap monitoring for Bleeding Strikes. (Possibly the healing debuff)
* Jultharin
** New: Added Timer, Alert and Stop trigger for Deranging Tempest interrupt.

Exodus of the Storm Queen
* Dominax (Expert/Normal)
** New: Timer and Alert for Decimate (including stop trigger)
** New: Alert for Red Mist cast and channel.
** New: Added a 25 second timeout in order to catch encounter endings.
** New: Added a catch for the message announced when completing the encounter as a victory state.
** Fixed: Both versions of Dominax should now have a castbar again (if enabled).
* Valthundr (Expert/Normal)
** New: Alert added for Frost Bound (Move in mechanic).
** New: Alert added for Winter's Fury (Hide mechanic).

Empyrean Core (Expert/Normal)
* Kaliban's Bodyguards
** New: Added Alert for Siphoning Vortex.
** New: Added Stop trigger for Siphoning Vortex successful interrupts.

Storm Breaker Protocol (Expert/Normal)
* Vellion the Pestilent
** New: Added Vellion's Exposed Viscera as a unit for death tracking, and victory state.

Translations
* German Updates.

----
v1.3.6

Raid Marks
* New: Small Icons added. (see KBM.Marks.File[<number>])
* New: Large Icons added. (see KBM.Marks.FileFull[<number>])
* New: Names added. (see KBM.Marks.Name[<number>])
* New: Translation dictionary for Names.

Unit Tracking
* New: Idle states are now refreshed when an unseen unit causes damage, previously only receiving damage would do this.
* New: Added support for mentoring level adjustments, and level changes. This will also effect KBM:Add-Watch.
* New: A players recorded level will now update accordingly.
* Change: Adjusted how and when idle units are checked for damage. Now sent through primary update method.
* Change: Adjusted how and when idle units are checked for healing. Now sent through primary update method.
* Change: Removed double calls to the Phase Monitor's update method.
* Change: Removed duplicate calculations of new percentages. Performance boost.

Encounter Tracking
* Fixed: Incorrect encounter start UnitID passed when checking for starts via NPC damage source to a raid member.
* Fixed: Incorrect reference to List, should be Lists.

Phase Monitor
* Fixed: Removed incorrect calls to the Phase Monitor's percent based objectives for unseen units.

Ready Check
* New: Added Fish Hot Pot (Cleric, Mage, Medium, 60)
* New: Added Feast of Domination SP (Cleric, Mage, High, 60)

Frozen Tempest
* Crucia
** New: Added Tempest Assault Frame unit tracking.
** New: Added Stormcore Annihilator unit tracking.

Exodus of the Storm Queen (Normal & Expert)
* Dominax
** New: Added a 25 second timeout for P1 to prevent premature endings.

Empyrean Core (Normal)
* Core Meltdown
** Fixed: Corrected name of Encounter.

Translations
* German SL Boss updates.
* French SL Boss updates.
* Russian Update for Maelforge encounters.

----
v1.3.5

Rez Master
* New: Cleric, Added Defiler's Death's Embrace combat res. (Thanks Arisae!)

Phase Monitor
* Change: The Phase Monitor has been adjusted to allow for tracking of multiple units with the same name.

Encounter Checking
* Change: Phase Monitor linking now occurs when a new Encounter Unit is detected.
* Change: Event.KingMolinator.Encounter.Start/End now send the Mod in the encounter table. {Type = String, Mod = ModObj}
* Note: All relevant data can be extrapolated from the ModObj.
* Note: Type will be "start" for .Start and "wipe" or "victory" for .End

Unit Tracking
* Change: Units now attempt to activate as idle regardless of their "seen" state. This includes them doing damage, and receiving indirect AoE.
* Change: Units in the Idle state "unseen", should now update their HP values based on Heal/Damage/Death events via UID.
* Note: The above changes directly effect the Plug-in KBM:Add-Watch, and you should now see HP updates for faded (unseen) units in an encounter.

Unit Cache
* Change: Reference Lists for missing UTIDs are compiled fresh each run.

Misc
* New: Add command /kbmability : This will list all abilities available to your character along with their Ability ID.

Rift:Storm Legion

Raids
* Endless Eclipse
** Dread Lord Goloch
** Matriarch of Pestilence
** Progenitor
** Kain the Reaper

* Frozen Tempest
** Gangnum
** Gelidra
** Kolmasveli and Toinenveli
** Zaviel
** Crucia

Slivers
* Triumph of the Dragon Queen
** Grand Falconer Zoles
*** New: UTID updated for Zoles.
*** New: Enrage time added.
*** New: Skyscream Unit added for tracking.
** General Typhiria
*** New: UTID updated for both versions.
** Jultharin
*** New: UTID updated.
*** New: Enrage time added.
** Cyril
*** New: UTID updated.
*** New: Enrage time added.

Expert Dungeons
* Archive of Flesh
** Ahzrius
*** New: UTID updated.
*** New: Alert added for Drastic Renovations.
** Animator Cahail
*** New: UTID updated.
** Emphalea
*** New: UTID updated.
** Tzul
*** New: UTID updated.
** Filth Gorger Vorka
*** New: UTID updated.

* Empyrean Core
** Baird Bringhurst
*** New: UTID updated.
** Kaliban's Bodyguards
*** New: UTID updated for both Bodyguards.
** Core Meltdown
*** New: UTID updated for new Units.
*** Change: Unit changed to Irradiated Monster. 
*** Change: Phase Tracking changed to Death Count, this will change again one a new system is tested.
** Doctor Perfidus
*** New: UTID updated.
** Prince Kaliban
*** New: UTID updated.
*** Fixed: Due to the UTID update, this encounter will no longer trigger during the quest in City Core.

* Exodus of the Storm Queen
** Dominax
*** New: UTID updated.
** Chekaroth
*** New: UTID updated.
** Valthundr
*** New: UTID updated.
** General Grim
*** New: UTID updated.

* Golem Foundry
** Locomotive Bulwark
*** New: UTID updated.
** C1-0N3
*** New: UTID updated for main C1-0N3
*** New: Added 2 additional UTIDs found for other versions, left 1 open should there be more.
** Subversionary Liaz
*** New: UTID updated.
** Manslaughter
*** New: UTID updated.
** UV-315
*** New: UTID updated.

* Storm Breaker Protocol
** Sandswarm Onslaught
** Baron Slagstorm
*** New: UTID updated.
** Telaphalon
*** New: UTID updated.
** Vellion the Pestilent
** Citybreaker Zidae
*** New: UTID updated.

* Tower of the Shattered
** Overseer Cowel
*** New: UTID updated.
** Kronox
*** New: UTID updated.
** Psychophage Primakov
*** New: UTID updated.
** General Thunderscar
*** New: UTID updated.
** Commissar Varoniss
*** New: UTID updated.

* Unhallowed Boneforge
** Ahgnox
*** New: UTID updated.
** Avoxcia
*** New: UTID updated.
** Bruzhail
*** New: UTID updated.
** Forgelord Helix
*** New: UTID updated.
** Necrotic Throne
*** New: Necrotic Throne UTID updated.
*** New: Left and Right Throne UTIDs updated.
*** New: Necro Titan Unit template added with UTID.

Normal Dungeons
* Unhallowed Boneforge
** Ahgnox the Corpsekeeper
*** New: UTID updated.
*** Fixed: Name corrected.
** Avoxcia
*** New: UTID updated.
** Bruzhail the Black Chariot
*** New: UTID updated.
*** Fixed: Name corrected.
** Forgelord Helix
*** New: UTID updated.
** Necrotic Throne
*** New: UTID updated for main Throne.
*** New: Sub Units with appropriate UTIDs added for left and right Throne sections.

* Golem Foundry
** C1-0N3
*** New: UTID updated.
** Subversionary Lia
*** New: UTID updated.
** UV-315
*** New: UTID updated.

* Storm Breaker Protocol
** Citybreaker Zidae
*** New: UTID updated.
** Telaphalon
*** New: UTID updated.
** Vellion the Pestilent
*** New: UTID updated for Body segment.
*** New: Added Vellion's Left Trunk as a Unit Object.
*** New: Added Vellion's Right Trunk as a Unit Object.
*** New: Added Pestilence Spewer as a Unit Object.
*** New: Added all Body segments to Phase Monitor.

* Archive of Flesh
** Tzul
*** New: UTID updated.
** Emphalea
*** New: UTID updated.
** Ahzrius
*** New: UTID updated.
** Filth Gorger Vorka
*** New: UTID updated.
*** Fixed: Name corrected.
** Animator Cahail
*** New: UTID updated.
*** Fixed: Name corrected.

* Empyrean Core
** Baird Bringhurst
*** New: UTID updated.
** Kaliban's Bodyguards
*** New: Mercutial's UTID updated.
*** New: Strauz's UTID updated.
** Doctor Perfidus
*** New: UTID updated.
** Prince Kaliban
*** New: UTID updated.
*** Fixed: Due to the UTID update, this encounter will no longer trigger during the quest in City Core.

* Tower of the Shattered
** Kronox
*** New: UTID updated.
** Psychophage Primakov
*** New: UTID updated.
** Overseer Cowel
*** New: UTID updated.
** General Thunderscar
*** New: UTID updated.
** Commissar Typhiria
*** New: UTID updated.
*** Fixed: Name corrected, file changed.

----
v1.3.4

Greenscale's Blight
* Lord Greenscale
** Fixed: Error with uDetails during Air phase.

Rift:Storm Legion
Normal Dungeons
* Archive of Flesh
** Ahzrius
** Cahail
** Emphalea
** Tzul
* Empyrean Core
** Baird Bringhurst
** Kaliban's Bodyguards
** Core Meltdown
** Doctor Perfidus
** Prince Kaliban
* Golem Foundry
** Locomotive Bulwark
** C1-0N3
** Subversionary Liaz
** Manslaughter
** UV-315
* Storm Breaker Protocol
** Sandswarm Onslaught
** Baron Slagstorm
** Telaphalon
** Vellion the Pestilent
** Citybreaker Zidae
* Tower of the Shattered
** Overseer Cowel
** Kronox
** Psychophage Primakov
** General Thunderscar
** Commissar Varoniss
* Unhallowed Boneforge
** Ahgnox
** Avoxcia
** Bruzhail
** Forgelord Helix
** Necrotic Throne

Matched UTIDs
* Experts
** Foul Cascade
*** Sparkwing

----
v1.3.3

LibSBuff
* New: This system will now output a warning to Chat if a single call to Inspect.Buff.Detail takes longer than 0.045 seconds.
* New: The update cycle will enable Watchdog.Quiet whenever the player is out of combat.
* New: Buff Add calls will also enable Watchdog.Quiet whenever the player is out of combat.
* New: LibSBuff:GetBuffTable(UnitID) - returns a Buff Table in the form: Key = (string)BuffID, Value = (table)BuffDetails
* New: New Units will automatically be scanned for Buffs. If this buff is already being monitored, the details table will be pulled from there and .remaining recalculated.
* New: Units which have lost focus (Unit.Availability.None), that have timed Buffs (.duration and .begin fields) will now have those buffs monitored.
* New: Buffs pulled from the Monitor on refocusing will not give a Buff.Add event.
* New: Buffs which are being Monitored and then reach their duration will now give a Buff.Expired event.
* Change: BuffUpdate will no longer trigger Buff.Change events when cycling through a Unit's buff list.
* Change: Reduced the time before Buff caching will break from the main loop for both cycling and addtions.
* Change: All three Buff Events now return a table of tables in the form: Key = (string)UnitID, Value = {(table)BuffTable {Key = (string)BuffID, Value = (table)BuffDetails}}
* Removed: LibSBuff:UpdateBuffs(UnitID) is now handled internally.

Instances General
* New: Tracked Units without the correct Unique Type ID, will now display a message with both Unit Name, and added to an internal Cache which is saved.
* New: /kbmunitcache (with no arguments) will list all seen units with missing UTIDs for output to log.txt (/log) in My Documents/Rift/
* New: /kbmunitcache will except 2 additional Arguments. CLEAR - Clears the current Cache, TOTAL - Only displays the total.
* Note: Please take the time to help complete these a soon as possibly by supplying the new ID to myself, so I may start converting existing code.
* Note: All Units will eventually have this Unique Type ID as it's Key when filtering Units for encounter starts.
* Note: Units without this ID will either be using Old Name matching system (soon to be removed) or an intentional Template Encounter to gather this data.
* Note: Units which are not tracked via name, but are found to be required for an encounter will need to be added to the template.

Infernal Dawn
* Rusila Dreadblade
** New: Added stop methods for Fist and Chains timers at the start of the final phase.
* Maelforge - Ember Eggs
** New: Added Tank-Swap for Melt Armor.
** New: Added Alert for Blinding Heat.
** Change: This encounter will now flag a victory after 3 Ember Eggs have been destroyed, not via say/notify messages.
** Change: Final Phase will now only Trigger after all Cannons have been destroyed.
* Maelforge - Final
** New: Added Tank-Swap for Melt Armor.
** New: Timer Added for First Hellfire in the Cannon phase.
** Change: Hellfire Alerts are now flagged as Important.
** Fixed: Cannons now have an internal CastBar for associated Molten Blast alerts.

Greenscale's Blight
* Oracle Aleria
** Fixed: Corrected Aleria's UTID.
* Prince Hylas
** New: The three sub bosses from previous encounters are now tracked again.
** Fixed: Due to the above, the Phase Monitor should begin working again.

Gilded Prophecy
* Guurloth
** Change: Earthen Punishment personal alert now flagged as Important.

Normal Dungeons
* Exodus of the Storm Queen
** New: Added Template for Chekaroth
** New: Added Template for Dominax (Requires UTIDs)
** New: Added Template for General Grim
** New: Added Template for Valthundr

Instances Converted to New Unit system.
* Drowned Halls
** All Bosses
* Rise of the Pheonix
** High Priest Arakhurn P1/P2

Translations
* French
** New: Additions to Maelforge and various other encounters/menus.
** Fixed: Adjusted Phase 2 transition trigger to include escape code (%) for hyphen.
* German
** New: Updates to Twyl and Rusila.
* Taiwanese
** New: Added Dictionary support.
* Chinese
** New: Added Dictionary support.

----
v1.3.2

LibSBuff
* Change: Full Buff list calls on units changing to Availability. Full are now forced in to a post cache mode.
* Change: BuffUpdate no longer calls BuffAdd for full Buff lists. This Method will now queue the entire Buff list for processing.
* Fixed: Corrected BuffUpdate not checking against the correct active Buff Cache.
* Fixed: Corrected BuffClear not checking against the correct active Buff Cache.

Ready Check Available Tracking
* New: Added Razor Edge.

ResMaster
* Fixed: Scaling Rez Master with active timers should no longer throw errors.

Tank-Swap
* New: An option is available to only show Tank-Swap if you are Tanking.

Menus
* Fixed: Scrollable views will now clamp to the last item in the list, rather than add additional empty space.
* Fixed: List views will now align themselves with the scrollbar position after collapsing and expanding Menu items.
* Fixed: Collapsing a Menu item which then disables the Scrollbar will reset the view so all items are visible.
* Fixed: Introduced a check to ensure new Scrollbar positions fall within the excepted range.

Infernal Dawn
* Rusila Dreadblade
** New: Added Barbed Chains timer.
** New: Added Fists timer.
** Fixed: Left and Right Dreadshot death messages are now correctly linked to their options.

Translations
* French addition for Laethys Tank-Swap.
* Russian additions for Laethys encounter.

----
v1.3.1

Infernal Dawn
* Maelforge - Ember Eggs
** Fixed: Corrected skill name Molten Blast.
* Maelforge - Final
** Fixed: Corrected skill name Molten Blast.

Translations
* German additions.

----
v1.3.0

System
* New: Added Safe's Buff Library (LibSBuff)
* New: Added Safe's Table Library (LibSata)
* New: Added Safe's GUI Library (LibSGui)

Slash Commands
* /kbmdefault
** Change: This command now requires a parameter. Parameters are NOT case sensitive.
** New Parameter: All = This will reset all the defaults for supported commands below, and future commands.
** New Parameter: RCButton = Resets the Ready Check mini-map button.
** New Parameter: Button = Resets the KBM mini-map button.
** New Parameter: Menu = Resets the KBM Menu Window positioning.

Buff System
* Change: The entire Buff system and Tracking has switched over to LibSBuff

Ready Check
* New: Typing /kbmdefault will also reset the position of the Ready Check button.
* Change: Now uses LibSBuff instead of KBM's old Buff system.

Tank Swap
* Note: This still uses direct Buff polling, but will eventually be moved over to exclusively use LibSBuff.

Infernal Dawn
* Laethys
** New: The final phase debuff [Touch of Gold] is now flagged as important.
** New: Added Tank-Swap support for Eye of Laethys.
* Maelforge Ember Eggs
** New: Added personal interrupt alert and stop trigger for the Cannons' Magma Blast.
* Maelforge Final
** New: Added initial timer for Fissures in Phase 1.
** New: Added tracking for Magma Cannons.
** New: Added an initial timer for the first Hellfire after the last Cannon has been destroyed.
** New: Added Phase 3, with Cannon kill count objective.
** New: Added personal interrupt alert and stop trigger for the Cannons' Magma Blast.
** Change: The Hellfire timer during Cannon Phase will now stop after the 4th Cannon is destroyed.
** Change: "Phase: Final" now refers to Phase 4. Maelforge from 30% after last Cannon is destroyed.

Rise of the Phoenix
* High Priest Arakhurn
** Change: Updated the Trigger methods for both Boss versions to be the new TID. This should prevent incorrect encounter starts during RP.

Greenscale's Blight
* Lord Greenscale
** Fixed: The phase monitor should now continue to progress even with excessive DPS.

Translations
* German Fixed

----
v1.2.9

Ready Check
* Fixed: Added a catch for a rare error during a ready check when switching Raid types.

----
v1.2.8

LibSRM
* Change: Updated to LibSRM 1.2.5 (Includes various improvements to Combat and Death states)

Ready Check
* New: Buffering System added when new units join en masse. This will allow for all player leave messages to be processed as a priority.
* Change: The system can now handle 40 players. The last 20 of which are not linked with a UI element and are only there for buffering.
* Fixed: Prevented Units being added as a UI element while the list is at maximum population. They will instead be added as non-UI buffer elements.

Ready Check Available Tracking
* Weapon Stones
** Wind Glyph (Cleric, Mage - Tank - Medium)

Infernal Dawn
* Warboss Drak
** Fixed: Prevented the encounter sometimes skipping either of the first two bosses.

Primeval Feast
* Lord Twyl
** Change: Consolidated the Critter Mechanic Spy in to one tracker.

Translations
* French updates.
* German updates.

----
v1.2.7 - Hotfix

Infernal Dawn
* Laethys
** Fixed: Castbar should read CastBar...
* Maelforge - Ember Eggs
** Change: Added a time-out of 20 seconds to allow for the victory message while out of combat.

----
v1.2.6

Rez Master
* Change: Prevented clients sending Ability Remove messages while the player is in combat.
* Fixed: Typo with one of the class tracking variables.
* Fixed: The Rez list was not updating correctly if you log in while in a Party/Raid.
* Fixed: Spark of Life now shows once again. (Adjusted ID for Rift 1.10)
* Fixed: Battle Rez removing now works while in a Party and you change roles.

Ready Check
* Change: The queue system has changed to account for some lag and Instanced PvP issues.

Ready Track Available Tracking
* Potion
** Mighty Fortified Vial (Rogue, Warrior, Cleric - Tank - Medium)
** Mighty Enduring Vial (All - Medium)
* Weapon Stones
** Ancient Exquisite Whetstone

Infernal Dawn
* Laethys
** Fixed: Re-initialized the Laethys castbar in Phase 2 with the new Unit ID.

----
v1.2.5

Hammerknell
* Rune King Molinar
** Removed: Depreciated API commands have been removed from Reset code.

Primeval Feast
* Lord Twyl
** New: Added a separate cast warning Alert for Flickering Fire which can be customized individually from the Purge alert.
** Fixed: Corrected the triggers for Mechanic Spy tracking, for Phase 1 critters.
** Change: The Alert for the cast portion of Flickering Fire is now separated from the Debuff.
** Change: Frozen Nova now has a countdown timer on the alert text.
** Change: Frozen Nova is now marked as Important.

Translations
* Fixed: The output no longer uses print_raw.

----
v1.2.4

Rift Version
* Change: Now supports Rift 1.10

System
* Triggers
** New: Unit Deaths can now perform triggers with the trigger ID "death".
** Fixed: An issues with "playerIDBuffRemove" styles not initializing correctly. (I have no idea how this didn't error during Conclave)
* Buffs
** New: You can now turn on Sheep Protection via the main menu (Global Options > Settings).
** Change: Cached buffs will no longer retrieve their data lists more than once. (CPU Optimization)
* Unit Tracking
** Fixed: Issue where Details field could initialize as nil, this will now initialize as Details Table or an Empty Table.

Ready Check
* Change: Ready Check saved variables are now either Account or per Character as set via Saving per character option.
* Change: Optimized CPU usage while the Ready Check system is disabled.
* Change: Optimized CPU usage while the Ready Check display is hidden.
* Change: Hide while in combat is now more aggressive and will overwrite any Ready Check state.
* Fixed: Only show during Rift Ready Checks.

Ready Check Available Tracking
* Food
** Ember Steak
* Potion
** Mighty Brightsurge Vial

Mechanic Spy
* New: Supplying a nil name for a Mechanic Spy Object:Stop() will clear all objects without removing the Header.

Infernal Dawn
* Ember Conclave
** New: Alert added for Infected Wounds.
** New: Timer added for Ember Rain.
* Maelforge Ember Eggs
** New: Personal Alert and Mechanic Spy added for Hellfire.
** Fixed: Error with CannonCount not being initialized on encounter start.

Primeval Feast
* Lord Twyl
** New: Added a stop trigger to Frozen Nova interrupts.
** Change: Mechanic Spy now displays the player targetted at the start of the encounter for the duration.

Translations
* French and German updates.

----
v1.2.3

New: Ready Check
* New: Added option to auto-hide/show while in combat.
* New: Added option to auto-hide/show while playing solo.
* New: Added option to auto-hide/show when a Rift Ready Check is in progress.
* New: Displays Rift Ready Check status before the players name when a Ready Check is in progress.
* New: Adjust the size of the Ready Check display using the mouse-wheel.
* New: Lists all Raid/Party members Health and Mana/Power/Energy.
* New: Lists KBM versions for each Raid/Party member (if available.)
* New: Lists Soul Vitality for each Raid/Party member.
* New: Lists Food buffs on each Raid/Party member. (See available Food types - to be expanded)
* New: Lists Potions/Vials used by each Raid/Party member. (See available Potions - to be expanded)
* New: Lists Weapon Stones used by each Raid/Party member. (See available Stones - to be expanded)
* New: Lists Current and Max Planar charges for each Raid/Party member.
* New: Option to disable/enable the display in the options window.
* New: Toggle the Ready Check display state via the slash command /kbmreadycheck. (This will not change auto-settings, but instead change its current display state)
* New: Toggle the Ready Check display via its own Mini-Map button. (This will not change auto-settings, but instead change its current display state)
* New: Staggered KBM Version retrieval if a player's version has not already been cached.
* New: Color added to various states of KBM Version status.
* New: Color added to Soul Vatility display.
* Change: Moved Ready Check window to its own context.

Ready Check Available Tracking
* Food
** Feast of Cooperation (All) - High
** Dwarven Goulash (Tanks) - High
** Kelari Spicey Pome (Tanks) - High
** Feast of Aptitude (Cleric, Mage) - High
** Feast of Expertise (Warrior, Rogue) - High
** Kelari Expedition Cherry Cake (Mage, Cleric) - Medium
** Kelari Expedition Chocolate Cake (Warrior, Rogue) - Medium
** Farclan Cherry Cake (Mage, Cleric) - Medium
** Farclan Chocolate Cake (Warrior, Rogue) - Medium
* Weapon Stones
** Burning Powerstone (Mage, Cleric) - High
** Ancient Burning Powerstone (Mage, Cleric) - High
** Flaring Glyph (Mage, Cleric) - Medium
** Exquisite Oilstone (Warrior, Rogue) - High
** Ancient Exquisite Oilstone (Warrior, Rogue) - High
** Exquisite Whetstone (Warrior, Rogue) - High
** Fine Whetstone (Warrior, Rogue) - Medium
** Lightning Glyph (Warrior, Rogue) - Medium
** Storm Glyph (Warrior) - Medium
* Potions/Vials
** Heroic Brightsurge Vial (Mage, Cleric) - High
** Ancient Heroic Brightsurge Vial (Mage, Cleric) - High
** Heroic Powersurge Vial (Warrior, Rogue) - High
** Ancient Heroic Powersurge Vial (Warrior, Rogue) - High
** Heroic Enduring Vial (All) - High
** Ancient Heroic Enduring Vial (All) - High
** Vial of Earth Resistance (All) - High
** Vial of Fire Resistance (All) - High
** Vial of Water Resistance (All) - High
** Vial of Death Resistance (All) - High
** Vial of Air Resistance (All) - High
** Vial of Life Resistance (All) - High
** Mighty Powersurge Vial (Warrior, Rogue) - Medium
* Other/Armor
** Performance Insoles (All) - High
** Cushioned Insoles (All) - High
** Planar Protection (All) - High
** Thick Armor Plating (Warrior, Rogue, Cleric : Tank) - High
** Poisonous Coating (Warrior, Rogue) - High

System
* New: Added a new slash command /kbmbuffs. You can macro this with %t or manually type a name to return a list of buffs with KBM ID's on that Unit. (Players or NPC's)
* Change: Ability IDs have been changed to the new format for Rift 1.9 and above. This will cause compatibility issues with older KBMs.
* Change: Buff Add events triggered for already cached buffs are now ignored.
* Change: Updated LibSRM to 1.2.0 which now includes LibUnitChange 2.2
* Removed: Global reference to bDetails in Buff Remove handlers.
* Removed: Global reference to TriggerObj in Buff Remove handlers.
* Removed: Global reference to TriggerObj in Buff Add handlers.
* Removed: Global reference to TriggerMod in Buff Add handlers.

Cast Bars
* Change: Addressed an issue where same name abilities progressing from Cast to Channel would display end-cast highlights for Rift Style bars.
* Fixed: Forced the Castbar Anchor to be hidden when the Options screen is closed during an encounter.

CPU Monitor
* New: Added support for Ready Check CPU tracking.

Tank-Swap
* Fixed: Very rare case where Debuff.remaining could return nil. (Generally due to lag)

Rez Master
* Fixed: Actually applied the fix correctly from the last Revision this time.

Infernal Dawn
* Laethys
** New: Added Touch of Gold personal alert for P3. This will only show your timer.
** Fixed: Corrected Phase Two Start trigger.
** Change: Added the % (pattern matching escape code) before ? in an attempt to get this to trigger the Phase Two Transition capture.
** Change: Phase 1 objective now reads 51% rather than the incorrect 50%.
* Maelforge Ember Eggs
** Fixed: Issue with my brain when writing the checking code (a nil BossObj variable to see if it's a viable match). Excellent!

Primeval Feast
* Lord Twyl (Added by Ivnedar@Laethys)
** New: Phase tracking support.
** New: Objective tracking.
** New: Timer and Alert for Flickering Fire (Including Duration).
** New: Timer for Alert Frozen Nova.
** New: Personal Alert for Primeval Quake.
** New: Mechanic Spy for Harvest Sacrifice.
** New: Personal Alert and Mechanic Spy for target of Ravenous Wolf.
** New: Personal Alert and Mechanic Spy for target of Rapacious Spider.
** New: Personal Alert and Mechanic Spy for target of Voracious Tiger.
** New: Mechanic Spy for Spinning Swarm.

Master Mode Caduceus Rise
* Ashcaller Zael
** Fixed: Stopped the smaller Adds from overwriting the bosses UID, enabling the encounter to finally trigger a victory.

Chronicles
* Fixed: Disabled Chronicles will no longer partially initialize, and will instead be completely ignored.

Translations
* Russian Updates
* German Updates

----
v1.2.2

Castbars
* Change: All Boss castbars now inherit the global Style setting (KBM or Rift).

Colors
* New: Added Pink to the list of available colors for Alerts, Timers, Text and Mechanic Spies.
* New: Added Dark Grey to the list of available colors for Alerts, Timers, Text and Mechanic Spies.
* Change: Purple is now... more purple.

Chat Output
* New: Chat Objects have been added to KBM. These are created and managed in the same way as Alerts, Timers and Mechanic Spies.
* New: Newly created and converted Chat Object will have various settings, so they can be individually enabled/disabled.
* New: Chat Objects have a Color option, this is not yet available, but once available all settings will be automatically applied.
* Note: This system will be expanded upon, and will include options in the global menu to assign which Tabs KBM output can display to.
* Note: Once the Chat Tab options are available, custom and default colors already defined will be applied.

Rez Master
* New: If the Unit cache does not have an entry yet for the player in question, KBM will temporarily assign one.
* Fixed: Another possible unassigned Unit Cache nil entry. (This is possibly a Warfront/Conquest related issue)

Infernal Dawn
* Rusila
** Change: Longshot chat outputs are now assigned to Chat Objects and can be enabled/disabled individually.
* Maelforge Final
** Change: Separated both versions of Hellfire when displayed in the Mechanic Spy. These are now color coded based on the in-game bubble.

Primeval Feast
* Alltha the Reaper
** New: Added personal alert for Toxic Spores
** New: Added a 6 minute enrage timer.
** New: Added phase tracking to show Portals or Puddles.
** New: Added Timer for Repear's Rage.
** New: Added Timer for Nature's Fury.
** New: Added Timer for Fae Torrent. (Portal Phase)
** New: Added Alert for Fae Torrent. (Portal Phase)

River of Souls
* Dark Foci
** Change: Attempt to stop these from triggering after the encounter has ended.

Greenscale's Blight
* Oracle Aleria
** Change: Adjusted the Boss object records for the initial Werewolves to use new ID based storage and trigger.

Translations
* Russian Updated.
* French Updated.
* German Updated.

----
v1.2.1

Infernal Dawn
* Rusila
** Fixed: Stopped spam from when the Left Longshot enters the battle.
* Laethys
** Fixed: Corrected emote for Phase Two trigger.

----
v1.2.0

System
* New: Added measures to prevent changes to Inspect.Buff.Detail core API command from other addons.
* Fixed: Prevented incorrect Boss objects from triggering nil errors when no Mod link is defined.
* Fixed: Changed global references s and e to locals, within KBM.Version:Load.

Encounters
* Ignore List
** Change: Units can now only be placed in the Ignore List if the details passed are fully loaded, and a .type value is supplied.
* Enrage Timer
** New: Enrage Timers can now be initially paused and start at any time during an encounter.

Mechanic Timers
* New: Mechanic Timers can now link to hidden alternate versions sharing Settings.

Phase Monitor
* Fixed: Possible nil value with Type ID reliant deaths.

ResMaster
* Fixed: Possible nil value with unassigned Unit cache.

Infernal Dawn
* Rusila Dreadblade
** New: Added Enrage timer which begins counting down at the start of Phase 2.
** New: Added Alert and Timer for when the Left Longshot enters the battle.
** New: Added Alert and Timer for when the Right Longshot enters the battle.
** Thanks to Ivnedar@Laethys for initial testing and implementation of the Longshot additions.
* Ember Conclave
** Change: Dead Bosses will no longer show up in the Phase Monitor once the phase has transitioned.
* Laeyths
** New: Added Enrage timer to Laethys. (10 minutes, unconfirmed)
** Change: Add Timer is now limited to appearing in Phase 1 only.
** Change: Reduced Timer for Liquid Gold (after initial)
* Maelforge Final
** New: Added Enrage timer.
** New: Added Unit Type ID for P2 version of Maelforge.
** New: Added Phase Tracking for all three phases. (Initial)
** New: Added Timer for Earthen and Fiery Fissures.
** Change: Adjusted the personal alert default colors for both versions of Hellfire debuff.

Primeval Feast
* Atrophinius
** New: Added buff remove triggers for Mechanic Spy's Anguish timers.

Hammerknell Fortress
* Akylios
** Change: Both types of Phase 2 triggers are enabled by default.
** Note: You can enable both Triggers as KBM will only ever use one. If the percentage trigger fails, KBM will wait for the Emote.

Translations
* French Updated.
* German Updated.
* Russian Updated.

----
v1.1.9

Mechanic Spy
* Fixed: Issue with new Static type timers attempting to initialize as nil rather than 0.

Infernal Dawn
* Ituziel
** Fixed: Trigger actually added to switch Ituziel's Phase Monitor to final phase.

----
v1.1.8

Commands
* New: /kbmdefault will now reset the position of both the Menu Button and Menu Window to central.
* New: The /kbmdefault command will also enable the Menu Button as visible and unlocked for positioning (Right Mouse Drag).
* Note: The /kbmdefault command will eventually be expanded upon to accept arguments, such as All, Button, Window, Timers, Alerts etc...
* Note: The Menu Window itself will soon gain "Default" and "Default All" buttons in various areas to compliment the new /kbmdefault command.

System
* Encounters
** Change: The encounter start specifics have now changed. Mods now have direct control over starting encounters.
** New: The Ignore List for untracked units is back, this should increase performance in many encounters.
** New: New Condition added to each trigger type for possible victories. (Not only Unit deaths can trigger a victory condition)
** New: Debug output now includes the X, Y, Z location of the trigger unit when combat started.
** Fixed: Added a new method to account for bosses with differing Type-ID's within the same encounter.
* Textures
** New: New system added which engages after initial caching of Textures. This handles all Texture Loading during game play.

Unit Tracking
* New: When removing units from the tracking system, they will also be removed from the Ignore List to prevent Memory leaking over time.

Infernal Dawn
* Ituziel
** New: Added Phase tracking.
** New: Added a secondary Flame Wave debuff watch for Tank-Swap. (Know for sure if a tank is double-tapped by waves)
* Ember Conclave
** Fixed: Assigned Traitorous Blood Mechanic Spy remove action to the correct Trigger. (Thanks to Ivnedar@Laethys)
** Fixed: Corrected Type ID for Traitorous Blood. (This should now trigger as designed)
* Laethys
** Change: Timer for Adds after the first has increased by 10 seconds.
* Maelforge - Dragon Eggs
** New: This encounter should now trigger.
** New: Added trigger for Phase Two (Magma Cannons)
** New: Added trigger for Final Phase (Dragon Eggs)
* Maelforge - Final
** New: This encounter should now trigger.
** New: Added Personal Alert, Mechanic Spy and Timer for Hellfire.
** New: Added Personal Alert for Earthen Fissure.
** New: Added Personal Alert for Fiery Fissure.

Primeval Feast
* Grandmaster Atrophinius
** New: Added Alert for Song of Anguish cast start.
** New: Added Mechanic Spy for Song of Anguish
* Swarmlord Khargroth
** New: Added Enrage Timer.
** New: Added Personal Alert for Acidic Vapors warning and duration with countdown.
** New: Added Minimum CD Timer for Poison Spray.
** New: Added Personal Alert for Chase mechanic.
** New: Added Mechanic Spy for Chase mechanic.
** New: Added Mechanic Spy for Acidic Vapors.
** New: Added Tank-Swap for Lethargic Venom.
** New: Added Minimum CD Timer for Acidic Vapors
** New: Added Timer for vanish phase transition. (Experimental 30 second duration)
** New: Added Phase Tracking for disaperance phases at 85%, 55% and 35% and associated stop triggers.
** New: Added Phase Tracking for final phase at 30%.
* Alltha the Reaper
** New: Added Mechanic Spy for Toxic Spore.

River of Souls
* Alsbeth the Discordant
** Change: Alsbeth now uses her Raid ID for triggering this encounter.

Translations
* French updates
* Russian updates and fixes.
* German partial updates.
----
v1.1.7

Unit Tracking
* Change: Moved Percent triggers in to a unified location within Unit:Update()

System
* Removed: All Watchdog diagnosis tracking and saving have been removed including associated commands.
* Fixed: Errors related to the diagnostic tools will now be gone.

Hammerknell Fortress
* Akylios
** Change: Removed P2 percentage trigger and replaced with the more reliable Emote trigger.

----
v1.1.6

System
* Change: Start-up order has changed again slightly.

Tank-Swap
* Fixed: (Rare) error where Boss objects could become nil.

Unit Tracking
* Fixed: (Rare) error could be thrown in the Unit Tracker's Unit:Update() with nil values for Health. (This could cause inconsistency)

Infernal Dawn.
* Laethys
** New: Added Trigger for the start of Phase 2 combat.
** New: Added Timers for first and second Laethic Gold.
** New: Added 5 second warning for the start of Laethic Gold's cast.

French Translations
* Updated!
----
v1.1.5

Mechanic Spy
* Fixed: Timers were not activating correctly.

Unit Tracker
* Fixed: Accuracy was out too much to be reliable.

Infernal Dawn
* Laeyths
** Change: Phase 2 now triggers from the emote, not a percantage.
** New: Added Timer for the Phase Two transition period. Until Phase Two combat begins.

Primeval Feast
* Grandmaster Atrophinius
** New: Added Phase tracking.
** New: Added Alert for Rampage duration with countdown.
** New: Added Enrage Timer.
** New: Added Timer for Rampage.

----
v1.1.4

Mechanic Timers
* New: Timer UI objects are now stagger pre-fetched and cached on start-up based on the maximum number of timers possible during one encounter.

Mechanic Spy
* New: There is now an accumulating timer which is constant until a remove is called.

Castbars
* Fixed: Not running Add-Watch/Mark-It would ignore Casts/Triggers if they were the hidden dynamic type. (such as Death Blow on Warboss Drak)

Watchdog Diagnostics (temporary alpha addition)
* New: /kbmwdbuffs - Displays current session diagnostic data for Buff.Add/Remove handlers.
* New: /kbmwdbuffs all - Lists all history for saved sessions including current
* New: /kbmwdbuffs clear - Clears session saved history and current session data.
* New: /kbmwdavail - Displays current session diagnostic data for Unit.Availability handlers (all/clear as above).
* New: /kbmwdmain - Displays current session diagnostic data for System.Update.Begin handlers (all/clear as above).
* Fixed: Start-up error with Watchdog variable.
* Change: History will now only save up to 10 sessions for all diagnostics data.
* Change: Increased accuracy of Average times by 1 place.
* Change: Removed Average time calculations from the handlers, this is now calculated when calling the data via commands.

Infernal Dawn
* Ember Conclave
** New: Added Phase Tracking.
** New: Added Hard Mode detection. (HM)
** New: Added Alert and Timer for Dark Invocation.
** New: Added Enrage Timer.
** New: Added Tank-Swap monitor for Szath in Phase 2.
** New: Added Mechanic Spy for Traitorous Blood. (Mind Control Debuff)
** New: Added Timer for Traitorous Blood.
** New: Added Timer for Infected Wounds.
** New: Added Timer for Scorching Shards.
* Laeyths
** Change: Phase 2 now triggers from the emote, not a percantage.
** New: Added Timer for the Phase Two transition period. Until Phase Two combat begins.

----
v1.1.3

Infernal Dawn
* Warboss Drak
** Fixed: Final Phase error.

Primeval Feast
* Fixed: Atrophinius gains his missing title of Grandmaster.

German Translations
* Updated for Primeval Feast.

----
v1.1.2

System
* Change: Each Boss Mod will now catch any errors if KBM doesn't fully start for any reason. This will prevent it running and spamming errors.

Player Castbar
* Change: This will now default to disabled. Enable it via KBM > Global Options > Castbars > Enable Player Castbar
* Note: This will not effect existing settings.

ResMaster
* Change: Messages are now handled for both .Send and .Broadcast to account for any issues with the API (such as this week).

Version Messages
* Change: See ResMaster.

Mechanic Timers
* Change: Adjusted mechanic timers to only re-render their progress or text if it has changed.

Unit Tracking
* Change: Major change in how unit tracking works. Removed lots of Inspect calls and instead push them directly to Idle.
* Change: Once a unit is officially *seen* by the group, it'll pull the unit from the Idle bin and assign it appropriately.

Infernal Dawn
* Warboss Drak
** Fixed: Drak and his Castbar were not initializing correctly.
** Fixed: Natung and his Castbar were not initializing correctly.

Primeval Feast
* New: Added Template and menu option.
* New: Life Anchors Template.
* New: Atrophinius Template.
* New: Alltha the Reaper Template.
* New: Swarmlord Khargorth
* New: Lord Twyl

----
v1.1.1

Rift Version
* Change: Now compatible with Rift 1.9

System
* Initialization
** Fixed: Adjusted how and when certain KBM elements initialize themselves on start-up and linking.

Infernal Dawn
* Maklamos The Scryer
** Change: Reverted Crystalline Desolation back to a 28s timer.

----
v1.1.0

* Note
** This cycle of KBM is mainly for final updates for native Korean clients which will be running Rift 1.8 for some months
** There will also be minor fixes to ensure KBM is partially viable with Rift 1.9.
** Please ignore any "This addon is running slowly" messages for now. It should only be a initialization warning and will be fixed.
** This is the final version compatible with Rift 1.8. v1.1.1.xxx and above will be Rift 1.9 and above only.

Version Checking
* Fixed: Release versions were incorrectly receiving Alpha version update notifications.

Infernal Dawn
* Ember Conclave
** Fixed: Only the first active boss was initializing their castbar correctly.

Experts
* Charmers Caldera
** Fixed: 1.9 only error with string formating.

Korean Translations
* On-going updates and fixes for Korean native client support.

----
v1.0.9

Version
* New: Alpha versions will now be signed with KBM.Alpha = true as opposed to KBM.Alpha = "rXXX"
* Change: KBM will now use a streamline version numbering system. All Release and Alpha candidates will include the following structure. High.Med.Low.Rev
* Note: With this change Alpha versions will be signified by a A: before the version and Release version by a R:
* Note: These changes will ensure that version update notifications in game will span over both release and alpha.

System
* Change: You will now receive version notifications for Release candidates over Alpha versions.
* Fixed: Notification messages were not triggering again after the timeout elapsed.

Castbars
* New: There is now a new Castbar Option for Rift/KBM style switching.
* New: Boss Castbars now default to a new Rift style. These bars show interruptible skills as cyan, otherwise they are gold.
* New: You may now choose to let KBM handle the player castbar.
* New: Player castbars handled by KBM can mimic the position of the Rift castbar. (You'll need to manually disable the Rift one for now)
* Change: The castbar rendering engine has be improved slightly to provide even greater performance!

Infernal Dawn
* Laethys
** New: Added Unit tracking for Wizened Stoneseer.
** New: Added Timer and Alert for Stoneseer's Wizened Restoration. (Personal - Target/Focus required)
** Change: Molten Gold is now a 30s damage based timer. (Feedback on accuracy and usefulness required)

Hammerknell Fortress
* Rune King Molinar
** Change: The compact mode percentage monitor finally has the intended smaller font castbar text.

Rise of the Phoenix
* General Silgen
** Change: Anchored in Flames is now marked as important.

Korean Translations
* Added Korean Translations for many encounters.

Russian Translations
* Updated

German Translations
* Updates and Fixes

----
v1.0.8

Event System
* New: Event.KingMolinator.Unit.Power = (UnitID, PowerType ("mana", "energy" or "power"))

Options
* New: The options/mini-map button is now more buttony

Rez Master
* New: Added support for the Mage Storm Caller BR/CR - Spark of Life.
* Change: Adjusted how Cool down begin messages are filtered.
* Change: Once a rez has completed its cool down, Rez Master will re-sort the list placing Mages at the top.

Infernal Dawn 
* Ituziel
** New: Added Timer for Flame Waves, including first.
** New: Added Alert for Flame Waves, 5 second warning.
* Laethys (Added by Ciladan)
** New: Added Timer for Storm of Treasure, including first.
** New: Added Timer for Metallic Orb, including first.
** New: Added Timer for Molten Gold, including first.
** New: Added Timer for Add spawns, including first.
** New: Added Timer for Annihilating Flare, including first.
** New: Added Timer for Golden Breath.
** New: Added Alert for Annihilating Flare.
** New: Added Alert for Metallic Orb.
** New: Added Alert for Storm of Treasure.
** New: Added Phase change monitoring and display.

French Translations
* Updated!

Russian Translations
* Updates and Fixes
----
v1.0.7

System
* Change: Re-ordered the initialization system.
* New: On start-up the KBM event system now fires Player Join events if you're already in a group (for both /reloadui, and log-in).

Rez Master
* New: Enabling ResMaster (from a disabled state) will re-inspect your raid and retrieve fresh Rez data. Useful before a pull if anything seems amiss.
* Fixed: Errors sometimes triggering on leaving a dungeon.
* Fixed: Enable/Disable option now works.
----
v1.0.6

System
* Fixed: Version notifications where only triggering from guild members. Now works with raid members.

Unit Tracker
* Change: Improved tracking of non-seen units. This should improve CPU performance and accuracy of auxiliary tracking.
* Change: Unseen units are now correctly placed in the Idle queue until activity stops or they die.
* Change: Improved engine so that conditional checks are grouped and ordered better. CPU performance boost.
* Fixed: Removed units where not ungrouping correctly.

New! Rez Master
* New: Changing roles and logging in will check and begin to register available combat rezes.
* New: Joining a raid, and reloading UI will request an update for all raid party members who may have a combat rez.
* New: Timers for combat rezes display the appropriate icon.
* New: Timers for combat rezes will display a ready state when off cool down.
* New: Timers will attempt to order the shortest cool down combat rezes at the top.
* New: Settings will be saved for position the Rez Master anchor.
* New: Added options to the main menu for Enabling/Disabling, moving and resizing the timer bars.

Tank-Swap
* Fixed: Attempted to fix the second debuff stack display not showing.
* Fixed: Tank-Swap could error with Off-line tanks.

Infernal Dawn
* Maklamos the Scryer
** Change: Increased timer for Crystaline Desolation by 20 seconds. (This could change again, once the encounter is finished)
* Rusila Dreadblade
** New: Encounter start is now recognized when picking up a Barrel.
** New: Phase change has been implimented for when Heart of the Dread Fortune is destroyed.
** New: Personal Alert for both Cast and Channel of Dread Shot.

Hammerknell Fortress
* Estrode
** New: Added personal alert for Neddra's Grasp.
* Inwar Darktide
** Fixed: Another attempt at the fail-safe to ensure that phase 4 (Inwar himself) triggers correctly all of the time.

Expert Dungeons
* The Realm of the Fae
** Fae Lord Twyl
*** Change: Increased the Time-Out timer further to prevent the encounter ending early.

French Translations
* Updated!
----
v1.0.5

Engine
* Change: Some optimization work on how events are triggered.
* Change: Internal Unit detail data cache is updated slightly more frequently.

System
* New: /kbmversion now excepts and parses marco variable '%t' for target. '/kbmversion %t' as a macro will inspect your targets KBM Version.

Tank-Swap
* New: Tank-Swap can now track 2 debuffs.
* Change: Event.KingMolinator.System.TankSwap.Start(table = {DebuffList = table{[Debuff Name] = Index}, Enabled = bool})

Infernal Dawn
* Muglak
** New: Added an alert for Brilliant Inferno.
** New: Added a timer for the first Brilliant Inferno.
** New: Added timers for each Brilliant Inferno after the first.
* Maklamos The Scryer
** New: Added a secondary debuff tracker to Tank-Swap for Weakness.

Master Mode Dungeons
* Darkening Deeps
** Alchemist Braxtepel
*** New: Added UID for Squersh. If this encounter was triggered via Squersh it would not initiate correctly.
** Emissary Villizar
*** New: Added UID for this Boss for faster encounter matching, and future proofing.

Dictionary Entries
* New: Mechanic Spy Anchor, Tank-Swap Anchor, Phases & Objectvies Anchor and Timer Anchor.
* New: Global Castbar
* New: Plug-In tab
* New: !! Enraged !! Text

Russian Translations
* Updated.

French Translations
* Fixes.

----
v1.0.4

URGENT FIX (if you're running ID)
* Maklamos the Scryer
** Removed: Command which was accidentally left in from new alpha. (would cause instant error)
----
v1.0.3

System
* Messages
** New: KBM will post your version to guild members when logging in an alert anyone who has an old version.
** New: KBM will post your version to raid members when you join a raid and alert anyone who has an old version.
** New: You will be notified if a new version of KBM is available if someone with a newer version does any of the above.
** New: Typing /kbmversion <player name> will return the version of KBM that player is using if available.
* Events
** New: Event.KingMolinator.System.TankSwap.Start(table = {DebuffList = table{[Debuff Name] = true}, Enabled = bool})
** New: Event.KingMolinator.System.TankSwap.End()
** New: Event.KingMolinator.Unit.Remove(UnitID)

Alerts (This time they're actually here)
* New: Horizontal alert bars along the Top and Bottom of the screen. (optional)
* Change: Vertical alert bars can now be toggled on/off, leaving just the horizontal bars.
* Note: You can have full 4 sides alerts by enabling both Horizontal and Vertical alert bars.

Infernal Dawn
* Warboss Drak
** New: Added a buff remove trigger for Burning Sacrifice in the Mechanic Spy.
** Change: The alert for Death Blow is now flagged as important.
* Maklamos the Scryer
** New: Added 8 minute Enrage Timer.
** New: Added timer for Crystalline Desolation. (Minimum downtime, can be as much as 45s)
** New: Added appropriate Phase changes for when each add Activates.
** New: Added personal screen alert for Azure Crystal (Blue)
** New: Added personal screen alert for Emerald Crystal (Green)
** New: Added personal screen alert for Scarlet Crystal (Red)
** New: Added buff remove triggers for Blue, Green and Red debuff alerts.
** New: Added Mechanic Spy monitors for Blue, Green and Red debuffs.
** New: Added Tank-Swap support for Fractured Nature.
** New: Added Mechanic Spy for orb intercept debuff, Crystalline Distortion.
** New: Added personal screen alert for orb intercept debuff, Crystalline Distortion.

Hammerknell
* Inwar Darktide
** Change: Reduced the timer for Freezing Wave by 5 seconds.

German Translations
* Updated.

French Translations
* Updated.

Russian Translations
* Updated.

----
v1.0.2

System
* Boss Matching
** Change: Bosses with Known UID's will now be checked before the old Name methods to avoid overlapping bosses.

Event System
* Initiation
** Fixed: Units available on loading or after a /reloadui were not being sent to the message queue.
* Marks
** New: Now tracks changes in Marked targets. Also attempts to track mark changes in unavailable Units via damage and heal events.
* Casting
** New: Event for when a castbar becomes visible.
** New: Event for when a castbar is hidden.

Alerts
* New: Horizontal alert bars along the Top and Bottom of the screen. (optional)
* Change: Vertical alert bars can now be toggled on/off, leaving just the horizontal bars.
* Note: You can have full 4 sides alerts by enabling both Horizontal and Vertical alert bars.

Trigger System
* New: Personal Cast triggers are now available to boss mods. These will only trigger if the players target or focus is the current unit casting.
* New: Personal Interrupt triggers are now available to boss mods. These will only trigger if the players target or focus is the current unit interrupted.

Infernal Dawn
* Change: Re-ordered Bosses in the menu to better reflect current state of Raid.
* Warboss Drak
** New: Added Alert for Burning Will purges.
** New: Added Personal Cast alert and Timer for Death Blow. Requires the target to be focused or targeted by the player.
** New: Added Personal Interrupt Trigger for Death Blow alerts. Requires the target to be focused or targeted by the player.
** New: Added Unit tracking for Warforged Thrall. (see below)
** New: Added Personal Alert for Burning Sacrifice.
** New: Added global timer for Burning Sacrifice.
** New: Added Mechanic Spy object for Burning Sacrifice.
** New: Added a 12.5 minute enrage timer.
** Change: Trigger for Wanton Sacrifice changed from Blazing Thrall to Warforged Thrall.
* The Ember Conclave
** New: Each boss now has an adjustable castbar. (This will mean you'll need to set these up once)
** Fixed: The encounter will now only credit completion when all three bosses are dead, not just Szath.
** Fixed: Error on Encounter start for Nahoth.
** Fixed: Ereetu was forgetting where he is and triggering this encounter in FoLH.
* Gorlach
** New: Added personal alert for Hot Foot.
** New: Added Mechanic Spy for Hot Foot.
** New: Added Tank-Swap for Fire Infusion.
* Ituziel
** New: This encounter now triggers and has Records enabled.
** New: Added a 5:35 enrage timer.
** New: Added alternating timer for Brimstone.
** New: Added alert for Brimstone.
** New: Added timer and alert for Word of Incineration.
** New: Added Tank-Swap for Incinerating Curse.

Hammerknell Fortress
* Soulrender Zilas
** Change: Imp's Cede Spirit is now a Personal Interrupt alert, rather than global. Requires target/focus to trigger.

River of Souls
* Herald Gaurath
** New: Added Unit tracking for Ancient Defiler
** New: Added personal interrupt alert for Defiling Storm.
** New: Added personal interrupt success alert cancel for Defiling Storm.

Expert Dungeons
* Fall of Lantern Hook
** Roft
*** Fixed: This encounter will only end when Roft and his three dogs have been killed.

German Translations
* Additions for latest ID dictionary. (First cycle)

French Translations
* Fixes and additions.

----
v1.0.1

Rift Version
* Updated: v1.8

Locale Manager
* Removed Global variable reference

Messenger System
* New: Module added to manage KBM to KBM messaging.
 
Engine
* Events
** New: UnitID, Relation = Unit.Relation() - Event for managing Unit Relation changes.
* Unit Tracking
** Change: Units which could have a false (boolean) or "" (empty string) value for .name are now handled better.
** Fixed: The Unit tracking system should now work far more smoothly with Rift v1.8.

Tank-Swap
* New: Tank debuffs now display the appropriate icon and are placed next to the duration timer.
* New: The current tank with boss aggro is now displayed via a weapon icon next to their name.

Mechanic Spy
* Fixed: The option to completely disable Mechanic Spy is now an option.

Infernal Dawn
* Warboss Drak
** New: Added Unit tracking for Azul Searbone.
** New: Added Unit tracking for Natung Charstorm.
** New: Added Unit tracking for Blazing Thrall.
** New: Added Phase Monitor for all three phases.
** New: Added Timer for First Blazing Thrall and each Blazing Thrall after.
** New: Added Alerts for Blazing Thrall.
** New: Added Timer for Molten Rejuvenation.
** New: Added Alerts for Molten Rejuvenation cast, and it's duration.
** New: Added Alerts for Scorching Torment cast.

Expert Dungeons
* Darkening Deeps
** Braxtepel
*** Fixed: Reference to try and index a nil value.

Master Mode Dungeons
* Darkening Deeps
** Braxtepel
*** Fixed: Reference to try and index a nil value.

French Translations
* Synchronized French Translations for Infernal Dawn.

----
v1.0.0
New! Mechanic Spy
* New: Options
** New: Set up full options pages and customization settings.
** New: Allows you to display a list of players effected by support mechanics with timers.
** New: Options to show/hide any mechanics header which is enabled.
** New: Options to enable/disable any individual mechanic.
** New: Options to customize the color of any mechanic. Defaults are usually the same as existing timers/alerts for that mechanic.
** New: Mechanic Spy objects can now launch additional objects themselves. <SpyObj1>:SpyAfter(SpyObj2)

Engine
* Triggers
** New: Added a trigger method for Players gaining Debuffs only.
** New: Added a trigger method for Units gaining buffs and debuffs via Unique Buff IDs.
** Note: Buffs and Debuffs will be entirely separate eventually. This is a first case test used for Sicaron's Unholy Contract change.
** Fixed: A case where Triggers where could try and fire from non-important mobs before an encounter was established correctly.
* Unit Tracking
** MAJOR FIX: There was a hole in the Unit Death tracking system which caused CPU usage increase over time.
* Slash Commands
** New: Type /kbmcpu for a mini on-screen CPU report for all of the Addon-System + KBM breakdown.
* Events
** New: UnitID = Unit.Death() - Event for managing Unit Deaths linked with the Unit Tracking Engine.
** New: UnitID, Name = Unit.Name() - Event for managing the name changing of certain Units.
** New: DataTable = Encounter.Start() - Event for managing encounter starts: At the moment DataTable is an undefined table layout.
** New: DataTable = Encounter.End() - Event for managing encounter endings: At the moment DataTable is an undefined

Options
* Screen Alerts
** Fixed: The option "Show Anchor (for positioning)" was not unlocking the text until you closed then re-opened the options screen.

Castbars
* Change: Castbars will no long be interactive while the Menu Screen is not open.

Hammerknell Fortress
* Matron Zamira
** New: Mechanic Spy added for Mark of Oblivion.
* Sicaron
** New: Mechanic Spy added for Unholy Contract Buff. (uses new engine trigger, testing required)
** New: Mechanic Spy added for Unholy Contract Debuff. (uses new engine trigger, testing required)
** New: Mechanic Spy added for Ravaged Soul purge debuff. (uses new engine trigger, testing required)
* Akylios & Jornaru
** New: Mechanic Spy added for Mind Decay.
** New: Mechanic Spy added for Suffocating Orb.

River of Souls
* Dark Foci
** New: Mechanic Spy added for Destabilize Soul.
* Warmaster Galenir
** New: Mechanic Spy added for Essence Transfer.
* Herald Gaurath
** New: Mechanic Spy added for Tidings of Woe.
* Plutonus the Immortal
** New: Mechanic Spy added for Walking Sleep.
* Alsbeth the Discordant
** New: Soul Destruction alert now stops as soon as interrupted.
** New: Mechanic Spy added for Punish Soul.
** New: Mechanic Spy added for Discordant Meteor.
** Change: Discordant Meteor now triggers from the notify message and not the cast.

Greenscale's Blight
* Oracle Aleria
** New: Mechanic Spy added for Necrotic Eruption.
* Lord Greenscale
** New: Greenscale's HP monitoring in the Phase Monitor is now carried over during Air Phases.
** Fixed: Added a clause in the Air Phase trigger. It would triggering twice when Greenscale was healed by adds.

Rise of the Phoenix
* Ereandorn
** New: Mechanic Spy added for Excitable Combustion.
** Change: The alert for Excitable Combustion is now triggered by the debuff. (experimental)
* General Silgen
** New: Mechanic Spy added for Anchored in Flames.
* High Priest Arakhurn
** New: Mechanic Spy added for Fiery Metamorphosis.
** New: Mechanic Spy added for Ignited (double stacks - highly experimental)

Gilded Prophecy
* Anrak the Foul
** New: Timer added for Explosive Venom.
** New: Mechanic Spy added for Explosive Venom.
* Guurloth
** New: Mechanic Spy added for Earthen Punishment. (Stop cast debuff) 
* Thalguur
** New: Mechanic Spy added for Call of Gold. (Beam to Tower debuff).
** New: Mechanic Spy added for Touch of the Core.
** Fixed: Call of Gold will only alert the player tethered to the Tower.
** Fixed: Call of Gold will no longer alert when you get the failed mechanic debuff.
* Uruluuk
** New: Mechanic Spy added for Crystal Imprisonment.

Realm of the Fae
* Trickster Maelow
** Fixed: Saved variables and records were not saving for this encounter.
** Fixed: Added Lifeward Celoah to the Phase Monitor.
* Luggodhan
** Fixed: Saved variables and records were not saving for this encounter.
* Grand Apairist Orban
** Fixed: Saved variables and records were not saving for this encounter.
* Battlemaster Atrophinius
** Fixed: Saved variables and records were not saving for this encounter.
* Winterfront
** Fixed: Saved variables and records were not saving for this encounter.
* Fae Lord Twyl
** Fixed: Saved variables and records were not saving for this encounter.

Drowned Halls
* Joloral Ragetide
** New: Mechanic Spy added for Panic.

Translations
* New: Dictionary entries added. Type /kbmlocale in your native client for a complete listing.

German Translations
* New German Translations and minor fixes.

French Translations
* New French Translations and minor fixes.

Russian Translations
* Further additions for Russian native client support.
----
v0.9.9

Translation System
* New: A new "How To Translate" page is being written to help keep translations unified with the new system.
* New: Identical translations can now be set with :SetGerman(), :SetFrench(), :SetRussian(), and :SetKorean(). No more having to copy English.
* Change: Major changes to the Translation Engine.
* Change: Main translations are now stored in KBMLocaleManager/Locale.lua
* Change: All existing Units should now be in-line with the new dictionary naming conventions.
* New: Enable .. Castbars and Enable .. Filters now have dictionary entries.
* New: Global Options and Timers menu pane headings now have dictionary entries.
* Note: Some existing dictionary groups (possibly none now) may fall outside the reports scope. These will be converted as found.
* Note: Encounter translations will remain in their respective mods. These will be pointed to if a translation is missing.
* New: Slash Command /kbmlocale (will list total number missing translations for each Language, and a list of missing translations for the current language)
* Note: /kbmlocale will return a group object stating Directory, File name and list of missing translations for that file or files.

Menu
* New: Menu headers, such as Instances and Plug-Ins now remember their collapsed state.

Engine
* Unit Tracking
** New: Units are now constantly tracked and monitored.
** New: Smart caching system tracks all seen units and groups them for fast reference.
** New: Idle Units are removed from the tracking system every 10 minutes to avoid memory build up.
** NOTE: Please report any FPS issues with regards to this new system.
* Plug-In Interface
** Change: KBM now communicates updates to Plug-Ins via a new Event driven interface rather then selective function calling.

Alerts
* Change: Alerts which trigger another Alert and/or Mechanic Timer after itself, now do so immediately. Not after fading.
* Change: Alert border flashes are now time based rather than frame reliant to account for variable frame rates.
* Change: Alert border stop fades are now time based rather than frame reliant to account for variable frame rates.

Mechanic Timers
* Colors
** Change: Default colors for new and existing timers are now correctly initialized.
** Change: When selecting a new custom color, the default color will now be remembered and reinstated should you switch off custom colors.
** Change: The custom color used will be remembered should you reinstate custom color mode.

Triggers
* Fixed: Multiple same-type triggers where being ignored. Only one unitID was being passed. This was the cause behind only one person being alerted of Mind Decay.

Infernal Dawn
* Warboss Drak
** New: Added base template for the encounter. (EN)
* Maglamos the Scryer
** New: Added base template for the encounter. (EN)
* Ruslia Dreadblade
** New: Added base template for the encounter. (EN)
* Ituziel
** New: Added base template for the encounter. (EN)
* The Ember Conclave
** New: Added base template for the encounter. (EN)
* Laethys
** New: Added base template for the encounter. (EN)
* Maelforge
** New: Added base template for the encounter. (EN)
* Note: Base templates include Phase Monitor (Single Phase), Encounter Timer and Boss Castbar.
* Note: Supported languages follow in brackets.

Hammerknell
* Matron Zamira
** New: The personal alert for Mark of Oblivion now triggers from the Emote and not the damage/debuff to give you more time to react.
* Inwar Darktide
** New: Screen alert and timer for Dark Tide raid wide damaging ability.
** New: Screen alert and timer for Surge.
** New: Screen alert and timer for Storm Lash.
** Fixed: Denizar's alerts and timers group option errors.
* Akylios
** Fixed: Mind Decay now triggers for all players effected. Not just the first one triggered.
** Change: The initial timer for the first Tidal Wave for P4 has been increased slightly to better align waves.
** Change: Added a phase limit to the second lasher timer to stop it triggering once after the submerge timer.

Rise of the Phoenix
* Arakhurn
** New: Both versions of Arakhurn are now matched via their UID in order to catch Phases better in the event of disconnects, releases etc.
** Change: Adjusted the time-out for transition to P3. Killing adds fast would cause an additional out of combat state resetting the encounter.
** Note: Due to the above change, this may have given false readings on the first P3 Nova, since it would trigger the initial Nova timer.
** Change: Recalculated the first Nova in P3 via latest video footage to hopefully be more accurate. Based on Trigger message.
** Change: Recalculated the first Fiery Metamorphosis in P3 via the same methods as above.

Darkening Deeps
* Expert and Master Mode
** Fixed: Alchemist Braxtepel was not trigger phase 2 correctly. Although records have been recording accurately.

French Translations
* MAJOR additions for Hammerknell, Greenscale's Blight, River of Souls, Rise of the Phoenix, Drowned Halls, Gilded Prophecy, Master Modes and Expert Dungeons and general Options page additions.

Russian Translations
* MINOR fixes for T1 and T2 raids, along with new translations and additional dictionary definitions.

German Translations
* MINOR fixes and additions.

----
v0.9.8

Library Structure
* Change: KBM now uses the global version of Safe's Raid Manager. (v1.1.1)

Custom Colors
* New: Added cyan to the list of available colors for Alerts, Timers and Cast Filters.

Settings
* Fixed: Disabled Alert groups were not initiating correctly after loading a new session.
* Fixed: Disabled Timer groups were not initiating correctly after loading a new session.
* Fixed: Disabled Cast Filter groups were not initiating correctly after loading a new session.
* Note: Any settings you made to disable any of the above groups will now be applied automatically.

Engine
* Timers
** New: Timers can now trigger more than one timer at the end of its duration.
** New: Timers can now trigger other timers at any point in the timer duration.
* Triggers
** New: Triggers can now be enabled/disabled via Mods real-time.
** New: Added NPC Damaged based triggers for rare fail-safes.
* HP Monitoring
** New: Unit HP tracking in various applications will now be tracked even when not selected by a raid/group member.
** New: Major increase in Unit HP tracking efficiency and accuracy.
** Note: The above changes should be most notable in the Phase Monitors percentage based objectives.
** Note: Tracked Units will need to be "seen" at least once by the raid/group. This is an API restriction.

Phase Monitor
* Percentage Objectives
** New: Now have an HP bar displayed for each Unit tracked.

Records
* Fixed: Dates were not correctly being recorded.

Hammerknell
* Matron Zamira
** Change: Reduced the duration of Mark of Oblivion slightly. (personal alert)
* Soulrender Zilas
** Fixed: Option for Imps and Spirits global alert disabling/enabling.
* Sicaron
** Change: The debuff portion (Red) of Unholy Contract is now flagged as important. (personal alert)
* Inwar Darktide
** New: Added Timer for the appearance of the first Geyser in Phase 2.
** New: Added Timer for the appearance of all subsequent Geysers in Phase 2 and Phase 3.
* Akylios
** New: Added Timer for the rise of second Lasher during Akylios submerge phases.
** New: Added optional Alert for 10 second warnings for Waves. (You can have both, and each can be different colors, or just one)
** New: Added fail-safe trigger for phase 4. Damage to Jornaru should now trigger P4 if Akylios is submerged.
** Fixed: Option for Apostle global alert disabling/enabling.
** Note: Accuracy of timers triggered this way will be dependent on reaction times to damaging Jornaru.
** Note: But should be less inaccurate than when P4 hits early during submerge phases.

Rise of the Phoenix
* High Priest Arakhurn
** Change: Reduced the timer for the first Fire Nova in P3, this should be the minimum duration it can occur.
** Change: Reduced the timer for the first Fiery Metamorphosis in P3, this should be the minimum duration it can occur.

Drowned Halls
* Isskal
** New: Added stop trigger to alert for Ice Shard interrupts.
** Change: Adjusted timers to account for new trigger methods.
** Fixed: The initial trigger for both the first Whirlpool event and the first Glacial Wave had Lua search incompatibility.

Expert Dungeons
* Added more Unique ID's to Expert bosses.
* Charmer's Caldera
** Caelia the Stormtouched
*** Fixed: Mod initiation corrected. She'll now start her own encounter.
* Kings Breach
** Autoch & Mondrach
*** Fixed: Saved data wasn't being recorded correctly.
* The Realm of the Fae
** Fae Lord Twyl
*** New: Added dynamic timeout duration after each phase for non-combat state.
*** Note: Bugged encounters (if any) or unusual wipes could cause the encounter to delay resetting. (rare)

German Translations
* Added: Non-critical translations for Phase Monitor and in-game chat.

Russian Translations
* Added: Akylios encounter and extra translations for other Hammerknell bosses.

----
v0.9.7

Rift Version
* New: Compatible with Rift v1.7

Record Times
* New: Added a date recorder to record times. (Will only effect new records)

Options
* New: Options down the left panel are now separated in to two sections.
* New: Added KBM tab to top section for Global Options.
* New: Added Plug-In tab to top section for all Plug-In settings.
* New: Added Raid tab (red helm) to lower section for all 20-man instances.
* New: Added Sliver tab (silver helm) to lower section for all 10-man instances.
* New: Added Master tab (blue helm) to lower section for Master Mode dungeons.
* New: Added Group tab (gold helm) to lower section for Expert dungeons.
* Alerts
** Change: Reduced the default Alert size by 50%

Engine
* Phase Monitor
** Percentage Based Objectives
*** New: Displayed percentage will change to 2 decimal places below 3% HP.
*** New: When a unit dies it is now displayed as such.
* Encounters
** New: Encounter type checks are now bypassed once already established.
** New: Checks added for Expert Mode and Master Mode dungeon recognition.
* Castbars
** New: Further adjustments to allow for castbar tracking outside of encounters.
** New: Castbars can now have multiple displays per Unit ID, but will only ever use one for triggering events.
** New: Silent Dynamic Castbars added to the engine to cater for "lesser" units in encounters.

Hammerknell
* Soulrender Zilas
** New: Escaped Imps now have an Alert for Cede Spirit. (Alerts happen for any Imp casting, that is seen by the raid)
** New: Drifting Spirits now have an alert for Dark Volley. (Alerts happen for any Spirit casting, that is seen by the raid)
** New: Added Alert stop triggers for when both Cede Spirit and Dark Volley are interrupted.
* Rune King Molinar
** Change: Reduced timer for King's Consuming Essence.
** Fixed: Predictive DPS meter was not resetting correctly after a wipe. (Yes, that did take a while to fix)
** Change: Predictive algorithm has finally been revised. This should offer better insight in DPS trends. 
* Estrode
** New: Added Phase Monitor support to the encounter.
* Grugonim
** New: Added dictionary definition for "Towers"
** Fixed: Phase Monitor was losing track of Tower kills if you wipe during a Tower phase.
* Akylios
** New: Added dictionary definitions for all Phase in-game chat display.
** New: Added an alert for Apostle of Jornaru's Tidal Storm ability.
** New: Added a stop Alert trigger for when Tidal Storm is interrupted.
** New: Added a stop trigger to Mind Decay alert when the debuff is nullified.
** Change: Another attempt at Phase limiting timers. This should stop the Submerge/Emerge timer in P5.
** Note: For alpha. Please report any non-responding timers. Summon Adds, Waves and Submerge/Emerge are all Phase limited.

Rise of the Phoenix
* Ereandorn
** New: Added Phase Monitor support to the encounter.
* Beruhast
** New: Added Phase Monitor support to the encounter.
* General Silgen
** New: Added Phase Monitor support to the encounter.
** New: Added dictionary definition for "Adds"
* High Priest Arakhurn
** New: Added timer for Arakhurns rise from the flames in P2 (P3 Start).
** Change: The start of P3 has changed back to its original Notify trigger after Trions fix.
** Change: Adjusted P3 mechanic start timers slightly to account for the above trigger change.
** Fix: Due to the recent Trion fix, the Notify trigger will avoid non-starting timers if adds die before Arakhurn rises.

River of Souls
* Warmaster Galenir
** New: Added Phase Monitor support to the encounter.

Greenscale's Blight
* Infiltrator Johlen
** New: Devastating Bomb alerts will now stop as soon as the bomb is destroyed.
** Change: Increased the alert of Blinding Bomb by 1s.
* Prince Hylas
** New: Added dictionary definition for "Critters"

Drowned Halls
* Assault Commander Jorb
** New: Added Phase Monitor support to the encounter.
* Joloral Ragetide
** New: Added Phase Monitor support to the encounter.
* Isskal
** New: Added Phase Monitor support to the encounter.
** Fixed: Start of whirlpool phase wasn't triggering additional timers correctly.
** Change: Adjusted some timings slightly after the new fix. (Alpha, test phase only. Will be adding alerts/timers for dance)

River of Souls Chronicle
* Stopped Alsbeth's raid encounter triggering during chronicles.

Greenscale's Blight Chronicle
* Duke Letareus: Added UID.
* Oracle Aleria: Added UID.
* Infiltrator Johlen: Added UID.
* Prince Hylas: Added UID.
* Lord Greenscale: Added UID.

Master Mode Dungeons
* NOTE: All new dungeon bosses include: Encounter Timer, Castbar, Records and Phase Monitor tracking.
* NOTE: This is a first release for Dungeons. Timers, Alerts and improved encounter tracking will be added over time.

* New: Caduceus Rise
** New: High Thane Hergen
** New: Faultwalker Alraj
** New: Coalgut
** New: Zugthak
** New: Ashcaller Zael
** New: Headhunter Kulir
** New: Rodiafel
** New: Captain Black Spit
** New: Cinderstorm
** New: Caduceus
* New: Darkening Deeps
** New: Alchemist Braxtepel
** New: Emissary Villizar
** New: Michael Bringhurst
** New: Tegenar Deepfang
** New: Glubmuk
** New: The Gedlo Council
** New: Scarn

Expert Dungeons
* NOTE: All new dungeon bosses include: Encounter Timer, Castbar, Records and Phase Monitor tracking.
* NOTE: This is a first release for Dungeons. Timers, Alerts and improved encounter tracking will be added over time.

* New: Abyssal Precipice
** New: Kaler Andrenos
** New: Icetalon
** New: Majolic the Bloodwalker
** New: Calyx the Ancient
* New: Charmer's Caldera
** New: Smouldaron
** New: Cyclorax
** New: Ryka Dharvos
** New: Caelia the Stormtouched
** New: Gronik
** New: Jultharin
* New: Darkening Deeps
** New: Alchemist Braxtepel
** New: Michael Bringhurst
** New: Tegenar Deepfang
** New: Glubmuk
** New: The Gedlo Council
** New: Scarn
* New: Deepstrike Mines
** New: Overseer Markus
** New: Gregori Krezlav
** New: Bonehew the Thunderer
** New: Gatekeeper Kaleida
** New: Dichrom
** New: Caretaker Arcanis
** New: Plutonus
* New: Fall of Lantern Hook
** New: Roft
** New: Pyromancer Cortilnald
** New: Flamebringer Druhl
** New: Emberlord Ereetu
** New: Oludare the Firehoof
* New: Foul Cascade
** New: Countess Surin Skenobar
** New: Matron Verosa
** New: Krasimir Barionov
** New: Tephra Lord Maficros
** New: Queen Vallnara
** New: Sparkwing
* New: Kings Breach
** New: Hunter Suleng
** New: Ravalos
** New: Flesheater Autoch
** New: Shadehorror Phantasm
** New: Konstantin
* New: Lower Caduceus Rise
** New: High Thane Hergen
** New: Faultwalker Alraj
** New: Hookmaster Palos
** New: Ashcaller Zael
** New: Coalgut
** New: Caduceus
* New: Runic Descent
** New: Rictus
** New: Wormwood
** New: Warden Falidor
** New: Atrophinius the Fallen
** New: Eliam the Corrupted
* New: The Iron Tomb
** New: Caor Ashstone
** New: Broodmother Venoxa
** New: The Three Kings
** New: Bonelord Fetlorn
** New: Ragnoth the Despoiler
** New: Totek the Ancient
* New: The Realm of the Fae
** New: Trickster Maelow
** New: Loggodhan
** New: Grand Apiarist Orban
** New: Battlemaster Atrophinius
** New: Chillblains Winterfrost
** New: Fae Lord Twyl
* New: Upper Caduceus Rise
** New: Zugthak
** New: Rodiafel
** New: Captain Black Spit
** New: Cinderstorm
** New: Headhunter Kulir
** New: Caduceus

Dictionary Additions (Phase Monitor)
* New: Added "Single"
* New: Added "Ground"
* New: Added "Air"
* New: Added "Final"
* New: Added "Dead"

German Translations
* New: Matching new dungeon translations.
* New: Additions to Akylios.

Russian Translations
* New: Lots of new translations, including In game messages, Menu Options and Boss Mechanics.
----
v0.9.6

Hammerknell
* Inquisitor Garau
** New: Added single phase Phase Monitoring to always show Garau's HP percentage.
* Akylios
** Fixed: Error on Phase 4 starting.

River of Souls
* Dark Foci
** Change: Destabilize Soul personal screen alert is now flagged as important.

Russian Translations
* Fixed: Темница Зеленокожа

Rise of the Phoenix
* Первосвященник Аракурн
** New: Additional Trigger translations.
----
v0.9.5 (Hotfix)

* Alerts
** Fixed: The sizing and positioning of alert text had become permanently locked.
----
v0.9.4﻿

Options
* Records Tab
** New: This has now been unlocked.
** New: View best times for all Raid boss encounters.
** New: View records of Attempts, Kills, Wipes and success rates for all Raid boss encounters.
** New: Added Translation interface to Records tab and messages.

Engine
* Castbars
** New: Castbars are now tracked outside of boss encounters. (Plug-In preparation)

Alerts
* New: Adjust the size of the Alert Text. (Mouse Wheel)
* New: Adjust the size of the Alert Text on a per encounter basis (when override is enabled)
* New: Adjust the size of the Alert Borders on a per encounter basis (when override is enabled)
* New: Turn on/off Alert Text on a per encounter basis. (when override is enabled)
* New: Turn on/off Alert Borders on a per encounter basis. (when override is enabled)

Gilded Prophecy
* Guurloth
** Fixed: Look Away warning now says so, instead of Jump (however amusing it was to watch my guild jump).
* Thalguur
** Change: Call of Gold is now a personal alert (beam)
** Change: Curse of Greed is now a personal alert.

Hammerknell
* Akylios
** Change: Added Jornaru's percentage monitoring to Phase 3 in case Phase 4 doesn't trigger.
** Fix: Breath of Madness duration setting. It was stuck in the enabled state.

Rise of the Phoenix
* High Priest Arakhurn
** Change: Reduced timer for first Fiery Metamorphosis in Phase 3 slightly.
** Change: Reduced timer for first Add in Phase 3 slightly.
** Change: The timers for Enraged Spawns of Arakhurn will now trigger on death. (dynamic)

German Translations

Festung Hammerhall
* Sicaron
** New: Seelenernte
* Grugonim
** New: Nekrotischer Atem Dauer
* Estrode
** New: Tanzender Stahl Dauer
* Akylios
** New: Hauch des Wahnsinns Dauer

Seelenfluss
* Dark Foci
** New: Sturmverderbnis

Russian Translations
* New: Various Menu Options.

Крепость Молотозвона
* New: Мурдантикс
** New: Калечащий удар
** New: Свирепый удар
** New: Демонический Взрыв
** New: Травма души
* New: Старуха Замира
** New: Мерзейший взрыв
** New: Знак забвения
** New: Омерзительный гной
* New: Душераздиратель Зилас
** New: Хватка душедера
* New: Рунный король Молинар & Принц Доллин
** New: Прервать жизнь
** New: Поглощающая сущность
** New: Рунический вампиризм
** New: Пугающий крик
** New: Проклятые удары
** New: Бестелесный восставший
* New: Эстрода
** New: Захват души
** New: Контрол разума
** New: Ярость севера
* New: Владмал Прайм
** New: Древние огни
* New: Сикарон
** New: Смертоностное проклятие
** New: Тлеющее увядание
** New: Нечестивый договор
** New: Сбор души
* New: Гругоним
** New: Материализованная Смерть
** New: Бурное разложение
** New: Едкая желчь
** New: Мертвящее дыхание
** New: Останавливающий сердце яд
* New: Инквизитор Гарау
** New: Магическая эссения
** New: Кровавая волна
** New: Ледниковый щит
** New: Привратник Магической Руки
* New: Инвар Темная Волна
** New: Денизар
** New: Акваликс
** New: Подводное течение
** New: Гнилая челюсть
** New: Зловонный слизень
** New: Страж прилива

Rise of the Phoenix
* New: Эреандорн
** New: Опасное сгорание
** New: Извержение лавы
** New: Извержение вулкана
* New: Беругаст
** New: Адская плеть
** New: Мечущееся пламя
** New: Огненный вихрь
** New: Призванный огонь
* New: Генерал Силген
** New: Раскаленный горн
** New: Защита огня
* New: Первосвященник Аракурн
** New: Огненная сверхновая
** New: Огненное превращение
** New: Раздиратель доспехов
** New: Отродье Арахурна
** New: Взбесившееся порождение Арахурна

Парализующая хватка
* New: Герцог Летареус
** New: Ярость герцога
* New: Лазутчик Джохлен
** New: Ослепляющая бомба
** New: Разрушительная бомба
* New: Принц Гилас
** New: Герцог Летареус
** New: Лазутчик Джохлен
** New: Оракул Алерия
** New: Гнев принца
** New: Распад души
** New: Заразный кролик
* New: Лорд Зеленокож
** New: Умервщляющий взрыв

Река Душ
* New: Темное средоточия
** New: Земля нечестивости
** New: Призыв тьмы
** New: Черный луч
** New: Раскачать душу
* New: Воевода Галенир
** New: Передача сущности
** New: Гнойное заражение
* New: Глашатай Гораф
** New: Дыхание Пустоты
** New: Поднять мертвых
** New: Плохие известия
* New: Плутон Бессмертный
* New: Альсбет Раздорная
** New: Покарать душу
** New: Земля раздора
** New: Взрыв раздора
** New: Разрушение души
** New: Метеор раздора
** New: Щит тьмы

Позолоченное пророчество
* New: Анрак Скверный
* New: Гуурлот
* New: Талгуур

Затопленные Залы
* New: Первосвященница Гайдрисс
** New: Цунами
** New: Гидростатический удар
** New: Приливная волна
* New: Исскал
** New: Осколок льда
** New: Вихрь смерти
* New: Йолорал Яролив
** New: Приступ паники
* New: Командир штурмовой группы Йорб
** New: Сильный удар
** New: Парализующая хватка
----
v0.9.3

Plug-Ins
* New: Added the framework for the Plug-In Engine.
* New: Linked Plug-In engine to be able to interact with and use KBM's options page.
* New: Plug-In version tracking enabled. Plug-Ins require a minimum version of King Boss Mods to work.

Screen Alerts
* Change: Reduced the default size of screen alerts by 60%. These can still be resized within the same bounds.
* New: Individual Alerts can now have their borders shown or hidden while triggered.
* New: Individual Alerts can now have their notification text shown or hidden while triggered.

Castbars
* Esthetics: Fixed the fade-out for interrupts when preceeding a disabled filter cast.

Options
* Change: Mechanic Timers that are disabled during an encounter will be stopped if currently active.
* New: Plug-Ins will appear at the top of the menu list when installed. (this will change eventually)
* New: Option to disable an individual alert to not display the border.
* New: Option to disable an individual alert to not display alert text and countdown.

Hammerknell
* Vladmal Prime
** New: Added Single phase Phase Monitor for percentage monitoring.
* Rune King Molinar
** Change: The percentage monitor now tracks 7% variations.
* Inwar Darktide
** Change: Merged Phase 3 and Phase 2, there will now be a requirement to kill 2 Tide Wardens.
** Change: After killing 2 Tide Wardens, Phase 3 will trigger with Percentage display for Undertow and Rot Jaw.
** New: Added further triggers to capture any kills missed due to out-of-range issues with kill events.
** New: Phase 3 will trigger when either Rotjaw or Undertow become available.
** New: Phase 4 will trigger when Inwar Darktide becomes available.
* Akylios & Jornaru
** New: Added an additional phase when Akylios is at 15%. This will stop the submerge timer.
** Fixed: Castbars were not resetting correctly after a wipe/kill.
** Fixed: The emerge/submerge timer association had become unlinked.
** Fixed: Jornaru's castbar would become disabled in Phase 2.. and never internally enabled.
** Change: Jornaru's castbar tracking is now removed at the start of phase 2. And reapplied in Phase 4.

Rise of the Phoenix
* High Priest Arakhurn
** New: Added a further trigger to catch the start of P3. (Again until Trion clean this encounter up, I'll continue to work around it)
** New: Added Unit tracking for Spawn of Arakhurn in P2 (Transition Phase). This should enable the Objectives to track correctly.

Greenscale's Blight
* Infiltrator Johlen
** Change: Phase percentages tweaked again for the first and second bombs. (76% and 51% respectively)
----
v0.9.2

Castbars
* Change: Reduced the accuracy of interrupts being fired to above 5/100ths of a second only.

Hammerknell
* Inwar Darktide
** Fixed: Fetid Slime count changed to 15. This should allow Phase 3 to trigger correctly.

Rise of the Phoenix
* High Priest Arakhurn
** Fixed: Fire Nova trigger changed from cast to channel.

German Translations
* Hohepriester Arakhurn
** New: Feurige Metamorphose
** New: Rüstung aufreißen (T-SM)
----
v0.9.1 

System
* Timers and Records
** Change: Records will no longer be recorded if you have to restart, reloadui or reset an encounter mid way through.
** Note: Kills, attempts and wipes will still be recorded.
* Mechanic Timers
** New: Timers can now be dynamic and change based on data supplied via triggers. (See Sicaron)

Interrupts
* Info: KBM now houses dynamic skill interrupt handling linked between castbars and alerts.

Cast Bars
* New: Castbars will now record interrupted and successful cast end states.
* New: Interrupted casts will now change to an Interrupt fade out bar to better gauge successful interrupts.
* New: Channeled casts now operate in the same way as they do in native Rift, they are also separate triggers.
* Change: Castbars now work a little different internally. This should help rule out any inconsistency with triggers.
* Note: The above change should also improve CPU usage during cast heavy fights.

Options
* Change: All sub-level check boxes have been disabled in the main menu to avoid confusion.
* Note: The above check boxes will be re-enabled when they actually do something. Apologies.

Triggers
* Fixed: Some triggers would not fire if there were both Player and Boss buff lists in a mod.
* New: Added Channeled cast triggers for better tracking and duration of channeled casts.
* New: Added Interrupt triggers for better tracking of alerts. (experimental)

Hammerknell
* Murdantix
** New: Soul Trauma interrupts now stop the alert display instantly.
** Change: Soul Trauma is now a solid alert with countdown display based on cast time.
* Matron Zamira
** New: Hideous Blast interrupts now stop the alert display instantly.
** Change: Hideous Blast is now a solid alert with countdown display based on cast time.
* Rune King Molinar
** New: Consuming Essence interrupts now stop the alerts from flashing instantly.
** Change: Consuming Essence for both are now solid alerts with countdown display base on cast time.
** Change: Runic Feedback cast and duration are now separate triggers with countdowns available.
** Change: Cursed Blows cast and duration are now separate triggers with countdowns available.
** Change: The alerts for the above are now separated, cast solid and duration flashing.
* Estrode
** New: Chastise interrupts now stop the alerts from flashing instantly.
** Change: Dancing Steel cast and duration are now separate triggers with countdowns available.
* Sicaron
** New: Soul Harvest now has a dynamic Timer.
* Grugonim
** New: Necrotic Breath duration now has a separate screen alert to it's initial cast.
* Akylios
** Change: Breath of Madness cast and duration are now separate triggers with countdowns available.

Rise of the Phoenix
* Beruhast
** New: Inferno Lash interrupts now stop the alerts from flashing instantly.
** New: Added an alert to notify of a new add spawning.
* General Silgen
** Change: Heat Funnel has changed to channeled cast trigger.
** Change: Incinerate has changed to channeled cast trigger.

Drowned Halls
* Note: Rift Instance inconsistency with NPC Notify and Say messages.
* Note: The Rift API is receiving no messages for this instance, when it's fixed by Trion all timers/alerts will work.

Gilded Prophecy
* Anrak the Foul
** New: Tank-Swap: Enabled support for Brittle.
** New: Spines of Earth: Alert warning for cast and duration added.
** New: Vicious Tail Strike: Alert added.
** New: Call of Anrak: Alerts added. 
** New: Bond of the Earth: Alerts added.
** Note: Timers have been left out due to not being able to find consistent time data.
* Guurloth
** New: Orb of Searing Power: Timer added for first Orb of Searing Power.
** New: Orb of Searing Power: Alerts added for each cast and duration.
** New: Orb of Searing Power: Timer added.
** New: Rumbling Earth: Alerts added for each cast and duration.
** New: Timer added for first Add spawn. (Estimate/Average)
** New: Timer added for Add spawns. (Estimate/Average)
** New: Alert added for Add spawns.
** New: Boulder of Destruction: Alert added.
** New: Earthen Toil: Alerts added for each cast and duration.
** New: Earthen Punishment: Mechanic Timer added.
** New: Earthen Punishment: Personal Alert and duration countdown added.
** New: Earthen Geyser: Timer and Alert added.
* Thalguur
** New: Touch of the Core: Alert added.
** New: Absorb Power: Timer added for duration of cast.
** New: Absorb Power: Alert added for start of phase.
** New: Phase and Objective tracking added.
** New: Curse of Greed: Alert added for while you are afflicted.
** New: Call of Gold: Alert added for while you are affected by someones Curse of Greed.
** Note: This encounter is still bugged in Rift (not KBM) where some phases can be skipped.
* Uruluuk
** New: Phase and Objective tracking added.
** New: Fist of Laethys: Alert with dynamic interrupt link added.
** New: Storm of Force: Alert warning.
** New: Crystal Imprisonment: Personal alert added if emoted.
** Note: This encounter is still bugged in Rift (not KBM) where the last 30% phase can be missed.
** Note: More work on this encounter to come.

German Translations
* Configurations
** New: in den Chroniken verwenden.
** New: Blua.
* Runenkönig Molinar
** New: Gabelstoß.
* Matrone Zamira
** New: Spirituelle Erschöpfung.
* Seelenreißer Zilas
** Fixed: Seelenreißer-Griff.
* Kriegsmeister Galenir
** New: Eitriger Infekt.
** Fixed: Essenztransfer.
* Alsbeth die Streitsuchende
** Fixed: Zwietracht-Explosion.
** New: Schild der Dunkelheit.
* Prinz Hylas
** Fixed: Anrufung des Lebens.
* Hohepriester Arakhurn
** New: Feuernova.
** New: Brut von Arakhurn.
** New: Zornige Brut von Arakhurn.
* Anrak der Üble
** New: Stacheln der Erde.
** New: Bösartiger Schweifschlag.
** New: Ruf von Anrak.
** New: Bande der Erde.
** New: Brüchig.
* Guurloth
** New: Kugel der sengenden Macht.
** New: Grollende Erde.
** New: Guurloths Ruf.
** New: Fels der Zerstörung.
** New: Irdene Mühe.
** New: Erdengeysir.
** New: Erdenbestrafung.
* Thalguur
** New: Berührung des Kerns.
** New: Kraft absorbieren.
** New: Ruf des Goldes.
** New: Fluch der Gier.
* Uruluuk
** New: Faust von Laethys.
** New: Sturm der Stärke.
** New: Kristallgefängnis.
----
﻿v0.9.0
* System
** New: The addon's tracking system has now been enabled for: Attempts, Wipes, Kills and Best Times.
** New: Boss Encounter's which have a Chronicle variant can now be identified separately mainly for kill tracking.
** New: You can now select to not trigger the addon during Chronicles in Hammerknell and GSB.
** New: Internal Achievement matching and tracking system has started. (Including Rapid Assault timers)
** Note: This is currently internal, but will be displayed in the Records tab shortly.
** Change: All boss and instance mods have been converted to try and better avoid rare errors.
* Menu Options
** Cast Filters
*** Fixed: Error on selecting cast filters for custom colors.
*** Change: Adjusted Filter settings internally to use the same template as Alerts and Timers.
* Castbars 
** Change: Castbar updating has been unthrottled in order to better account for interrupt accuracy.
** Note: This is experimental, please report any CPU usage issues compared to previous version.
* Phase Monitor
** Fixed: Objective shadows were not correct on initiation for Meta objectives.
** Fixed: Error involving .Lists member corrected for new dynamic objective manager.
* Hammerknell
** Grugonim
*** Fixed: A slight possibility for the encounter to crash on transition to Tower phases. (rare)
* Greenscale's Blight
** Infiltrator Johlen
*** Fixed: Error on bomb phase transition.
** Prince Hylas
*** Change: Cleaned up the objective tracking a little.
* Gilded Prophecy
** New: Converted to new engine.
** New: Converted all boss modules to new engine in preparation for fully supported mechanics.
* Raid Manager
** Fixed: Inconsistent error on "some" resurrect mechanics. (Error moved to debug tracking info, non-critical)
** Fixed: Heal events were not triggering as expected, catch added for inconsistent nil caster/target errors.
* German Translations
** Runenkönig Molinar
*** New: Erdrückendes Bedauern.
** Hohepriesterin Hydriss
*** New: Flug Phase.
*** New: Meeresbrut.
*** New: Seeklauennest.
** Isskal
*** New: Whirlpool beendet.
*** New: Richtung wechseln.
*** New: Erster Whirlpool.
** Überfallkommandant Jorb
*** New: Lähmender Griff.
----
v0.8.9
* Menu Options
** Custom Colors
*** Fixed: When custom colors where enabled the color selector would be disabled when re-selecting.
** Tank-Swap
*** Fixed: Error when switching menu items with Test Tanks enabled.
*** Fixed: Glitch where Test Tanks would remain on screen when switching to an encounter menu.
* Rise of the Phoenix
** High Priest Arakhurn
*** New: Added advanced Phase and Objective tracking.
*** New: Added Tank-Swap Monitor support to the encounter for Armor Rip.
*** New: Added Phase transition trigger for the end of phase 1.
*** New: Added Phase transition trigger for the start of Phase 2.
*** New: Added Phase transition trigger for the start of Phase 3 (with timers.)
*** New: Added hard enrage timer.
*** New: Added 5 second warning alert for all Fire Novas.
*** New: Added Timer for first Fire Nova.
*** New: Added Timer for first Fire Nova in Phase 3.
*** New: Added Timer for first Fiery Metamorphosis.
*** New: Added Timer for first Fiery Metamorphosis in Phase 3.
*** New: Added Timer, Alerts and duration countdowns for all Fire Novas.
*** New: Added Timer, personal Alert and duration countdowns for all Fire Metamorphosis buffs.
*** New: Added Timer for first Enraged Spawn of Arakhurn in Phase 3.
*** New: Added Timer for all remaining Enraged Spawn of Arakhurn adds.
----
v0.8.8
* System
** Change: Linked alerts and timers without settings have been enabled.
** Change: Further tweaks to the Raid Manager combat state monitoring.
** New: Added registered Buff/Debuff tracking to allow playerBuffRemove and buffRemove triggers to work.
* Encounter Timer
** New: Added a drop shadow to the time display to improve clarity.
** New: Added a drop shadow to the enrage time display to improve clarity.
** New: Added a slight texture to the Enrage progress bar.
* Phase and Objective Tracker
** New: Added a drop shadow to the Phase text to improve clarity.
** New: Added a drop shadow to the Objective text to improve clarity.
** New: Added a slight texture to the Phase heading.
* Castbar Engine
** Fixed: Stopped an error which could occur if a nil was passed to Inspect.Unit.Castbar.
* Alerts
** Change: Minimum alert size has been decreased slightly.
** Fixed: Alerts could sometimes stay on the screen after the encounter ended.
* Mechanic Timers
** Change: 10th's of a second have returned sub 10 seconds, this was a rounding issue.
* Hammerknell
** Soulrender Zilas
*** New: Added a timer for the first Soulrender's Grasp.
*** Change: Phase 2 now triggers at 70% (RNG Magus + Timed first Grasp)
** Estrode
*** Change: Removed Duration countdown for Mistress of the Rift alert.
*** Change: Removed Duration countdown for Rage of the North alert.
*** Change: Set Mistress of the Rift alert duration to 2 seconds.
*** Change: Set Rage of the North alert duration to 2 seconds.
----
v0.8.7
* System
** Change: Tweaked the main engine for Safe's Raid Manager to better track combat states.
** Note: The above, although a small change should greatly improve the accuracy of combat monitoring.
* Greenscale's Blight
** Fixed Infiltrator Johlen error on Bomb phase.
** Fixed Lord Greenscale error during Verdant Annihilator phase.
----
v0.8.6
* Trigger Engine
** Buffs
*** New: There is now a new trigger for buffs/debuffs which target raid members.
*** Change: All previous buff triggers for players have been converted. Please report any issues.
*** Change: Buff triggers are now matched to an encounter and unit ID before triggering.
*** Fixed: BuffRemove triggers where not working as intended.
* Mechanic Timers
** Fixed: Setting changes were not applied until a /reloadui or restart.
** Note: This was the same issue as the previously fixed alert settings.
* Hammerknell
** Soulrender Zilas
*** Fixed: The duration portion of Soulrenders Grasp had become disabled.
** Matron Zamira
*** New: Timer added for spawn of adds after Tome use.
*** New: Timer added for duration of debuff before Tome can be used again.
*** Change: Alert for Mark of Oblivion duration reduced slightly.
** Estrode
*** New: Added a stop method to Mistress of the Rift buff for when it's removed.
*** Change: The duration of the Mistress of the Rift alert will match that of the buff's.
** Inquisitor Garau
*** New: Screen alert added for Arcane Porter spawn. (flashing purple)
*** New: Screen alert added for Glacial Shield duration. (solid blue)
*** Change: Bloodtide is now a cast trigger instead of damage.
* River of Souls
** Dark Foci
*** Fixed: Percentage display now correct after phase change.
** Alsbeth the Discordant
*** Change: Punish Soul warning will now only flash your screen if you are the target.
*** Fixed: Castbar for Soul Magus was not initiating due to a settings conflict.
* Greenscale's Blight
** Fixed: Error on phase switch to P4.
* Rise of the Phoenix
** General Silgen
*** New: Added enrage timer.
*** New: Added timer and alert warning for Heat Funnel.
*** New: Added personal screen alert for Anchored in Flames.
*** New: Added timer and alert for Incinerate
* Drowned Halls
** Converted to new engine.
** Assault Commander Jorb
*** Converted to new engine.
*** New: Added enrage timer.
*** New: Timer and alert for Forceful Impact.
*** New: Added Alert and duration countdown for Paralyzing Grasp.
** Joloral Ragetide
*** Converted to new engine.
*** New: Added Timer and Alert for Panic Attack.
*** New: Added Alert for Panic Attack duration.
** Isskal
*** Converted to new engine.
*** New: Added Alert for Ice Shard.
*** New: Added Timer until Whirlpool.
*** New: Added Alert for Whirlpool starting.
*** New: Added duration Timers for both Clockwise and Anti-clockwise running.
*** New: Added Timer until Glacial Wave start.
** High Priestess Hydriss
*** Converted to new engine.
*** Note: Hydriss will be revisited as I need to collect further data.
*** New: Added Timer for first Air Phase.
*** New: Added Timer for Tsunami.
*** New: Added Timer for first Seaspawn.
*** New: Added Timer for Seaspawns.
* French Translation
** New: Added Soulrenders Grasp.
** Fixed: Duke Letareus in Prince Hylas encounter.
* German Translations
** Fixed: Duke Letareus in Prince Hylas encounter.
** New: Various Options translated.
** Matrone Zamira
*** New: Adds spawnen.
*** New: Spiritual Exhaustion ausgelaufen!
** Vladmal Prime
*** Change: Uralte Flammen
** Estrode
*** Change: Herrin des Risses.
** Grugonim
*** New: Herzstillstandsgift.
** Inquisitor Garau
*** New: Gletscherschild.
** Inwar Dunkelflut
*** New: Sog.
*** New: Faulkriefer.
*** New: Stinkender Schleim.
*** New: Krabbelklauen-Zämker.
*** New: Gezeitenbewahrer.
** Akylios
*** New: Geistiger Verfall.
*** New: Hauch des Wahnsinns.
*** New: Erstickungskugel.
*** New: Akylios taucht auf.
*** New: Akylios taucht unter.
*** New: Warnung für Flutwellen 5 Sekunden vorher.
** Plutonus
*** New: Wandelnder Schlaf.
** Herold Gaurath
*** New: Odem der Leere.
*** New: Erweckung der Toten.
*** New: Leidvolle Kunde.
** Alsbeth die Streitsuchende
*** New: Seelenbestrafung.
*** New: Boden der Zwietracht.
*** New: Zwietracht Explosion.
*** New: Seelenzerstörung.
*** New: Zwietracht-Meteor.
*** New: Zwietracht-Säule.
*** New: Seelen-Vorbote.
*** New: Seelen-Dieb.
*** New: Seelen-Magus.
** Prinz Hylas
*** Change: Ansteckender Baumwollschwanz.
** Fürst Grünschuppe
*** Change: Würgende Plage.
** Überfallkommandant Jorb
*** New: Machtvoller Schlag.
*** New: Stillgestanden!.
** General Silgen
*** New: Hitzetrichter.
*** New: Verbrennen.
*** New: In Flammen verankert.
** Joloral Wutflut
*** New: Plattenverkrüppler.
*** New: Panikattacke.
** Isskal
*** New: Eissplitter.
*** New: Gletscherwelle.
*** New: Gegen Uhrzeigersinn.
*** New: Im Uhrzeigersinn.
----
v0.8.5
* River of Souls
** Dark Focus
*** Fixed: Error spam on pull.
** Herald Gaurath
*** Fixed: Error spam on pull.
** Plutonus the Immortal
*** Fixed: Error on Phase 1 to Phase 2 transition.
** Alsbeth the Discordant
*** Fixed: Error from Air to Ground phase.
*** Change: Enrage time to 18m.
----
v0.8.4﻿﻿
* Hammerknell
** Matron Zamira
*** Change: Phase 2 is now from 40-30%
*** New: Added Phase 3, starting at 30%
** Soulrender Zilas
*** Change: Reduced timer for Grasp slightly.
* River of Souls
** Dark Foci
*** Fixed: Debuff named incorrectly for personal screen alert.
** Plutonus the Immortal
*** New: Timer and Alert for Walking Sleep.
*** New: Alerts for 40, 30, 20 and 10 percent.
*** New: Phase and Objective Tracking.
** Herald Gaurath
*** New: Phase and objective Tracking for Air/Ground phase.
*** New: Percentage monitoring.
*** New: Cast tracking and Alert for Raise the Dead.
*** New: Timer and Alert for Breath of the Void.
*** New: Alert and duration for Tidings of Woe.
*** New: Timer until Death group rise.
** Alsbeth the Discordant
*** New: Advanced phase and objective tracking.
*** New: Percentage monitoring.
*** New: Full tracking of air, ground and final phases.
*** New: Destroyed Pillar tracking.
*** New: Timer until next air phase.
*** New: Raid wide alert warning for Punish Soul cast.
*** New: Personal alert and duration countdown for Punish Soul debuff.
*** Note: There is no timer for Punish Soul due to it's non-static timing.
*** New: Add persistent Castbars for Soul Magi.
*** New: Timer and Alert for Soul Magi's Soul Destruction.
*** New: Timer and Alert for Discordant Blast.
*** New: Alert for Discordant Ground.
*** New: Timer, Alert and Duration until impact for Discordant Meteor.
*** New: Timer until first Discordant Meteor in the Air Phase.
*** New: Timer for Shield of Darkness during final phase.
*** New: Alert for Shield of Darkness, while active, during final phase.
* Rise of the Phoenix
** Beruhast
*** Added: 8 minute Enrage Timer.
* German Translations.
** Options
*** Added: Castbar: Override.
*** Added: Pin to prefix.
*** Added: Enable cast filters.
*** Added: Mechanic Timer: Override.
*** Added: Encounter Timer: Override.
*** Added: Phase Monitor: Override.
*** Added: Alerts: Override.
*** Added: Unlock alert border.
*** Added: Unlock Width, Height, Text and Transparency.
** Estrode
*** Added: Mistress of the Rift.
** Grugonim
*** Added: Parasite Swarm.
** Dark Foci
*** Added: Unhallowed Ground.
*** Added: Call Darkness.
*** Added: Destabilize Soul.
*** Added: Force of Corruption.
** Warmaster Galenir
*** Added: Essence Transfer.
** Infiltrator Johlen
*** Added: Blinding Bomb.
*** Added: Devastating Bomb.
*** Added: Devastation.
** Oracle Aleria
*** Added: Primal Werewolf.
*** Added: Necrotic Werewolf.
*** Added: Necrotic Eruption.
** Prince Hylas
*** Added: Prince's Wrath.
*** Added: Soul Fracture.
*** Added: Contagious Cottontail.
*** Added: Invocation of Life.
** Lord Greenscale
*** Added: Strangling Blight.
*** Added: Noxious Fumes.
*** Added: Verdant Annihilator.
----
0.8.3
* System
** Change: Improved accuracy of group combat state monitoring.
** Fixed: Buff removed triggers were being handled incorrectly for some buffs.
* Alerts
** Fixed: Alerts were ignoring Enabled/Disabled settings. (engine compatibility issue)
** Note: Previously saved alert options will begin working as you intended.
* Tank-Swap
** New: Added a slight texture to T-SM's Tank HP and debuff duration bars.
* Hammerknell
** Murdantix
*** New: Cast Filtering options enabled.
** Rune King Molinar
*** The monitor will only display when the encounter options page is active, and set to show and enabled.
*** The monitor will only display during the encounter if enabled. (Show has no effect beyond options)
** Grugonim
*** Fixed: Breath counter was not working as intended by about a mile.
* River of Souls
** Dark Foci
*** New: Added castbar for Force of Corruption.
*** New: Timer and Alert for Unhallowed Ground.
*** New: Timer and personal Alert for Destabilize Soul.
*** New: Force of Corruption: Added solid orange alert with countdown for Corrupt Blast.
*** New: Added phase tracking for Before and After Darkness.
*** New: Added Objective tracking with percentages.
** Warmaster Galenir
*** Fixed: Incorrect Tank-Swap initiation.
*** New: Solid red personal alert and countdown for Essence Transfer.
* Greenscale's Blight
** Prince Hylas
*** Change: Enabled phase checking for final stage after critters.
** Lord Greenscale
*** New: Added phase tracking for Air Phase.
*** New: Added percentage tracking for Verdant Annihilator in Objectives list.
*** New: Added alert for death of Verdant Annihilator (Protective Shield up).
----
v0.8.2
* System
** New: Buff removed triggers are now available for use by the engine.
** New: Encounter timers can now trigger timers, alerts and phases.
** New: Interrupt triggers are now available for use by the engine.
* Mechanic Timers
** Change: Mechanic timers now only display 10ths of a second sub 10 seconds remaining.
** Change: The Anchor for these will now only be displayed if the options page is active.
** Note: This change is to gauge feedback and is subject to change/improvement.
* Screen Alerts
** Fixed: Linked Alerts have been fixed.
** Change: Screen Alerts are now a static width with the ability to customize the size.
** Change: The anchor for these will now only be displayed if the options page is active.
* Options Window
** New: Anchors enabled for specific encounters are hidden when the window is closed.
** Note: It's advisable to edit the layout of an encounter before entering combat.
* Castbars
** New: Castbars can now track casting counts for specific skills.
** Change: The anchors for these will now only show when the options page is active.
** Note: Cast Filters allow to ignore certain skills from being shown.
** Note: Cast Filters allow you to change the color of the castbar for specific skills.
* Hammerknell
** Rune King Molinar
*** Fixed: Runic Feedback: The channeled portion of this alerts is now working again.
*** Change: Runic Feedback: The duration alert is now linked to the warning alert.
** Sicaron
*** Fixed: Unholy Contract's red portion of the Alert is now working again.
*** Change: Unholy Contract: The red debuff alert is now linked to the blue buff alert.
*** New: Cast Filters have been added to the encounter. (see Castbars tab)
** Akylios
*** New: Emerge Timer for the first time Akylios emerges in Phase 3.
*** New: Successive Emerge/Submerge timers (experimental).
*** New: Breath of Madness: Timer for first in Phase 3.
*** Fixed: Breath of Madness: The channeled version of this alert is now working again.
*** Fixed: Breath of Madness: This is now linked correctly to the warning.
*** Change: Add spawn timers for phase 1 should no longer trigger in phase 2 regardless of target.
*** Change: Increased timer for first orb timer for Phase 2 when using percentage trigger.
*** Change: Increased timer for first adds spawn for Phase 2 when using percentage trigger.
** Grugonim
*** Change: Tower Phase: The start of this phase will now stop the Breath timer.
*** New: Cast Filters have been added to the encounter. (see Castbars tab)
*** New: Necrotic Breath: Now uses the new casting count method. (1st, 2nd, 3rd)
** Inwar Darktide
*** New: Added customization settings for each the castbars.
*** Fixed: Settings for each of the castbars will now be saved correctly.
* Greenscale's Blight
** Prince Hylas
*** New: Per-Character layout settings.
*** New: Timer and Alert filtering options, and custom timer layout settings.
*** New: Timer and Alert for the addition of Duke Letareus.
*** New: Timer and Alert for the addition of Infiltrator Johlen.
*** New: Timer and Alert for the addition of Oracle Aleria.
*** New: Timer and Alert for Prince's Wrath AoE ability.
*** New: Timer and Alert for Soul Fracture.
*** New: Timer and Alert for Contagious Cottontail.
*** New: Phase, percentage and objective monitoring.
*** New: Phase Monitor options.
** Lord Greenscale
*** New: Per-Character layout settings.
*** New: Timer and Alert filtering options, and custom timer layout settings.
*** New: Phase, percentage and objective monitoring.
*** New: Phase Monitor options.
*** New: Timer and Alert for Strangling Blight.
*** New: Timer and Alert for Noxious Fumes. (warning and duration).
----
v0.8.1
* New: All 20 man raids are now fully converted to the new engine.
* Tank-Swap Monitor
** New: All T-SM text has received shadows for better clarity.
** New: All tanks now have HP display updated real-time.
** New: Tanks death states are now tracked.
** Change: The main monitoring engine has been overhauled to improve performance. Feedback welcome.
** Change: With the above in mind, French and German client T-SM's have been re-enabled.
** Change: Options: Closing the options window with Test Tanks visible, will uncheck the item.
* Phase Monitor
** New: Phase Monitor anchor text will automatically be shown/hidden if an encounter starts/ends and is visible.
** New: Phase Monitor anchor will auto-hide if the monitor is disabled for the current encounter.
** New: If the Phase Monitor is disabled, the anchor will no long be visible/adjustable.
* Alerts
** Fixed: Older alerts would throw an error after v0.7.9 changes.
** Change: Alert graphics now take up a fraction of the space and memory.
* Hammerknell
** Change: Rune King Molinar: Percentage Monitor will no longer be hidden by the options window.
* River of Souls
** Dark Foci
*** Change: Converted to the new engine.
** Warmaster Galenir
*** New: Per-Character saving enabled.
*** Change: Converted to the new engine.
*** Fixed: Tank-Swap: Debuff name was incorrect for Infecting Strike.
** Plutonus the Immortal
** Herald Gaurath
*** Change: Converted to the new engine.
** Alsbeth the Discordant
* Greenscale's Blight
** Duke Letareus
*** Change: Converted to the new engine, you can enable all alerts.
** Infiltrator Johlen
*** New: Added phase tracking to the encounter.
*** New: Added Objective and percentage monitoring.
*** New: Alert then countdown for Blinding Bomb detonation.
*** New: Alert then countdown for Devastating Bomb phase transition.
*** Change: Converted to the new engine.
** Oracle Aleria
*** New: Added phase tracking to the encounter.
*** New: Added Objective and percentage monitoring.
*** New: Added tracking for Primal and Necrotic Werewolves.
*** New: Personal Screen Alert added for Necrotic Eruption (purple)
*** New: Mechanic Timer add for Necrotic Eruption.
*** Change: Converted to the new engine.
** Prince Hylas
*** Change: Converted to the new engine.
** Lord Greenscale
*** Change: Converted to the new engine.
* Rise of the Phoenix
** Change: Ereandorn: Converted to the new engine, you can enable all alerts.
** Change: Beruhast: Converted to the new engine, you can enable all Alerts and Timers again.
** Change: General Silgen: Converted to the new engine.
** Change: High Priest Arakhurn: Converted to the new engine.
* French Translations
** Added: Murdantix: Tank-Swap debuff for Mangled.
** Added: Matron Zamira: Tank-Swap debuff for Matron's Curse.
** Added: Grugonim: Tank-Swap debuff for Heart Stopping Toxin.
----
v0.8.0
* Fixed: Removed some sneaky variables using the Global Name-space. Simple Meter uses the global name space.
* Hammerknell
** Added: Akylios: Optional percentage based trigger for Phase 2 if for some reason the say trigger fails.
** Note: If during your pull, Phase 2 does not start, enable the percentage trigger.
----
v0.7.9
* Castbars
** Fixed: Error when changing shadow/texture options while not visible.
** Fixed: Settings where not being actively applied until the next /reloadui or restart.
** Fixed: Error when switching Timer States when the sub menu isn't active. (1702 error)
* Alerts
** Fixed: Custom color settings were not actively apply during combat/session.
** Fixed: Once applied custom colors were always used, which lost default colors.
* Castbar Triggers
** Fixed: Casting states were not correctly resetting after multiple casts of the same type.
** Fixed: Alerts and Timers related to casts should now be working correctly.
* Hammerknell
** Change: Restored lost default settings, and removed various ghost timers/alerts from menus.
** Added: Rune King Molinar: Alert for Frightening Shout (flashing purple).
----
﻿v0.7.8
* Options
** Fixed: Per-Character saving was not working 100% accurately.
** New: All option text has been given shadows for better clarity.
** New: Encounters now have a more in-depth customization level.
** New: Fully enable or disable individual encounters from triggering.
* Encounter & Enrage Timers
** New: Select Encounter and Enrage Timer activations for each encounter.
** New: Customize Encounter and Enrage Timer sizes for each encounter.
* Phase Monitor
** Fixed: Almost all settings were being ignored. It should behave now.
** New: Select Phase and Objective tracking activations for each encounter.
** New: Customize Phase and Objective tracking sizes for each encounter.
* Castbars
** New: Enable or Disable Castbars for individual encounters.
** New: Customize Castbars size and color for each encounter, and for each supported Unit.
** New: Supported Castbars now allow you to define Castbar color for that ability only.
** New: Castbars have had a make-over and now have a similar look to Timers.
* Mechanic Timers
** New: Enable or Disable mechanic timers per boss or encounter.
** New: Customize Timer bars color on a per timer basis.
* Alerts
** New: Enable or Disable Alerts per boss or encounter.
** New: Set Alert text positioning on a per encounter basis.
** New: Customize encounter flash colors.
** Fixed: Stopped a rare case where Alerts could trigger Alerts after a wipe/encounter.
* Hammerknell
** New: All encounters can now be fully customized.
** New: Preparations made to fully enable or disable any encounter.
** Fixed: Grugonim: Internal Tower phase tracking wasn't working as intended.
** Fixed: Grugonim: Breath counts were not being recognized.
** Fixed: Akylios: Rare case where Breath could trigger it's duration state after a wipe.
** New: Estrode: Screen alert added for Mistress of the Rift buff (flashing orange)
** Change: King Molinar: Worded Percentage Monitor options a little clearer.
** Change: Akylios: Screen alert for Mind Decay is now solid. (purple)
** Change: Akylios: Screen alert for Suffocating Orb is now solid. (orange)
* Green Scale's Blight
** Fixed: Duke Letareus: Phase Tracking error.
* German Translations
** Added: HK: Grugonim: Manifested Death
* French Translations
** Added: HK: Grugonim: Manifested Death
* Tank-Swap
** Disabled: For German and French clients only. See below.
** Note: This is now receiving a full re-write in order to address CPU usage.
** Note: This tool will be making a full return in 0.8.1, but only if I'm happy with stability.
** Note: The new Tank-Swap monitor will include HP displays for all tanks, and Mouse-over functionality.
----
v0.7.7
* Fixed Murdantix
----
v0.7.6
* Mechanic Timers
** Note: To change various unlocked states, move the mouse wheel back and forward over the anchor.
** Change: When the Anchor is visible, it automatically allows movement of the timers.
** New: Ability to globally change the width. (50%-150%)
** New: Ability to globally change the height. (50%-150%)
** New: Ability to globally change the text size. (50%-150% Limited to actual Text Sizes)
** New: Ability to globally change the transparency. (20-100%)
* Hammerknell
** New: Akylios: Phase 2 first add spawn timer added, which cues Phase 2 add timer.
** Fix: Grugonim: Tower Phase looking for incorrect Unit name.
* German Translations
** Added: HK: Grugonim: Necrotic Breath
** Added: HK: Grugonim: Seismic Disruption
----
v0.7.5
* Fixed: Alerts were misbehaving and ignoring their individual settings.
* Note: All Screen alerts can now be individually filtered per encounter.
* Hammerknell
** New: Sicaron: Added Phase Tracking support.
** New: Soulrender Zilas: Added Phase Tracking support.
** New: Grugonim: Added Advanced Phase Tracking, including Breath counts.
** New: Grugonim: Added Timer for Necrotic Breath.
** New: Grugonim: Added Alert warning for Necrotic Breath. (flashing red)
----
v0.7.4
* Fixed: Stop objects re-addressed, only affects Akylios. (rare case)
* Objective Tracking
** Change: When using a zero percent target, objective now only displays boss percentage.
* Hammerknell
** New: Matron Zamira: Phase Tracking and boss percent display.
** Fixed: Sicaron: Moldering Decay would cause an error.
* German Client translations.
** Added: Various new Menu option translations.
** Added: HK: Matron Zamira: Revolting Ichor.
** Added: HK: Sicaron: Excruciating Hex.
** Added: HK: Sicaron: Moldering Decay.
** Added: GSB: Duke Letarues: Duke's Wrath
----
v0.7.3
* Hammerknell
** New: King Molinar: Screen alert warning added for Runic Feedback. (solid blue)
** New: King Molinar: Screen alert duration added for Runic Feedback. (flashing blue)
** New: King Molinar: Timer added for Frightening Shout.
** Added: King Molinar: Important flag to Consuming Essence alert, for King and Prince.
** New: Estrode: Timer for Rage of the North.
** New: Estrode: Duration alert and countdown for Dancing Steel.
** New: Matron Zamira: Timer added for Hideous Blast.
** New: Matron Zamira: Timer added for Revolting Ichor.
** New: Sicaron: Timer added for Excruciating Hex.
** New: Sicaron: Screen alert added for Excruciating Hex. (flashing purple)
** New: Sicaron: Timer added for Moldering Decay.
** New: Sicaron: Screen alert added for Moldering Decay. (flashing dark green)
** Fixed: Sicaron: Settings were not initializing correctly. (new method)
** Fixed: Soulrender Zilas: Settings were not initializing correctly. (new method)
** Fixed: Akylios: P3 Error on switching. Timer stop error.
----
v0.7.2
* General
** Note: All below changes tested (except Inwar) fully with HK 10/11 farm.
** Note: Any issues with Inwar will be non-critical and will only display errors. (if at all)
** Change: Moved Combat damage handling to new system, improved CPU usage.
** Change: Reduced the default intensity of Mechanic Timer textures by 25%. 
** Fixed: Finally got around to having a good look at timers in general. Stability improved.
* Castbar
** Fixed: Issue where Castbars would lose global settings after King Molinar encounter.
** Change: Castbar text reverted to setting size.
* Tank-Swap
** Fixed: Issue with errors when Tank-Swap Initiates.
** Change: Finalized the change over of Tank-Swap to new engine.
* Hammerknell
** New: Inwar Darktide: Advanced Phase tracking. (Experimental)
** New: Inwar Darktide: Phase Monitoring and objectives display. (Experimental)
** Note: Inwar Darktide: The above is the basis for more advanced features incoming for this encounter.
** Note: Inwar Darktide: If there are any issues with the encounter they will be non-critical and at the worst will stop the encounter tracking.
** Change: King Molinar: Changed final phase to percent countdown rather than Kill.
----
v0.7.1
* General
** Change: Castbars: These can now be globally enabled/disabled.
** Change: Unit Deaths: Increased accuracy of death state monitoring.
* Timers
** New: Drop shadows to Timer text for better clarity. (optional)
** New: Textured overlay for bars. (optional)
** Change: Addressed issues where disabled timers could sometimes throw errors.
** Fixed: Possibility for timers to throw non-critical errors if passed nil durations from Rift events.
* Hammerknell
** Added: Akylios: Timer for Phase 1 Adds.
** Added: Akylios: Timer for Phase 2 Adds.
* German Client
** Fixed: Ereandorn: Issues with translation dictionary.
----
v0.7.0
* Hammerknell
** Hotfix: Akylios: Several issues with the encounter (non-critical).
** Hotfix: Akylios: Enabled Breath timers.
----
v0.6.9
* Hammerknell
** Added: Murdantix: Phase Monitoring and display.
** Added: King Molinar: Advanced Phase Monitoring and display.
** Added: Akylios: Advanced Phase Monitoring and display.
* Greenscale's Blight
** Added: Duke Letarues: State Monitoring for Tank/Kite.
** Added: Duke Letarues: Advanced Phase Monitoring and display.
** Added: Duke Letarues: Screen alert for Duke's Wrath (flashing red).
** Added: Duke Letarues: Screen alert for Tank phase resuming (flashing orange).
** Added: Duke Letarues: Per-Character settings method.
** Added: Duke Letarues: Phase Timer and Castbar.
* Rise of the Phoenix
** Change: Ereandorn: Changed level match from "??" to "52", not entirely if this is a string or number.
** Change: General Silgen: Changed level match from "??" to "52". Same as above.
* German Translations
** HK: Estrode: Dancing Steel.
** HK: Estrode: Rage of the North.
** HK: Estrode: Chastise.
** HK: Soulrender Zilas: Soulrender's Grasp.
** RotP: Beruhast: Summoned Flames.
----
v0.6.8
* Change: Changed Encounters to use new method for interacting with Timers Engine.
* Added: Activated part of the display for Phase and Objectives monitoring.
* Note: Minor Fix to iron out some more issues with lingering old engine.
----
v0.6.7
* Fixed: Akylios attempting to use old system caused crashes.
----
v0.6.6
* Removed: Dynamic Frame recycling which could trigger inconsistencies and Client Crashes (due to a recent Trion patch)
* New: Dynamic GUI Object recycling robust engine which bypasses the issues introduced by Trion.
* New: Mechanic Timers are now the new GUI Object packages rendering.
* New: Castbars are now the new GUI Object packages for rendering.
* New: Options Window now uses new GUI Object packages for rendering.
* New: Tank-Swap Monitor now uses new GUI Object packages for rendering.
* Note: Memory usage has not been effected by these changes, still around the 2mb mark.
* Note: CPU Load has been reduced with the new system by around 50% (optimized queuing system).
* Note: Some minor use of the old system may be in place, warnings will be given instead of crashes.
----
v0.6.5
* New: You can now select to save all settings for KBM for the current character.
* Hammerknell
** New: Converted all boss settings to account and per-character methods.
** Fixed: Due to the new saving methods, many bosses who's settings were not working, will work now.
** Fixed: All boss options should work as intended.
* Rise of the Phoenix
** New: Converted all boss settings to account and per-character methods.
** Beruhast: Fixed: Settings bug for Timers.
** Beruhast: Added: Summoned Flame timer.
----
v0.6.4
* Notice: Boss Alert and Timer global switches (Enabled/Disabled) are currently unlinked. Use individual checks.
* Notice: The above will be coming very shortly, along with new Per-Character Profile saving.
* New: Recycled Frames now use a queuing system to avoid the crashes introduced by Trion.
* Fixed: Attempted to correct the errors introduced by Trion over night with client crashes.
* Fixed: Enabled combat damage based triggers, previously disabled triggers are back.
* Fixed: Various inconsistencies which could arise with Important Screen Alerts.
* Hammerknell
** Matron Zamira: Reverted Mark of Oblivion back to a damage trigger for personal screen alerts.
** Matron Zamira: Separated Mark of Oblivion timer to a cast trigger.
** Sicaron: Fixed: option for disabling Timers not saving/changing or initiating.
** Estrode: Added: Screen Alert for Dancing Steel. (flashing red)
** Estrode: Added: Screen Alert for Rage of the North. (flashing orange)
** Estrode: Added: Screen Alert for Chastise. (flashing yellow)
----
v0.6.3
* Known Issue: Combat damage based Triggers are currently disabled, they'll return in 0.6.4.
** Disabled: Murdantix: Ferocious Pound
** Disabled: Murdantix: Mangling Crush
** Disabled: Matron Zamira: Dark Concussion
* New: Alerts can now be flagged as "Important" meaning they will be persistent during other alerts.
* Hammerknell
** King Molinar: Fixed: Terminate Life Alert saying Consuming, and wrong color.
** Sicaron: Fixed: Unholy Contract alerts not triggering.
** Matron Zamira: Fixed: Matron's settings were not initiating on start up/reloadui.
** Matron Zamira: Added: Important flag to Mark of Oblivion.
** Matron Zamira: Attempt to fix Matron's Mark of Oblivion not triggering. (reverted to buff)
** Soulrender Zilas: Added: Warning Screen Alert for Soulrender's Grasp. (flashing orange)
** Soulrender Zilas: Added: Active duration Screen Alert for Soulrender's Grasp. (solid red)
** Soulrender Zilas: Added: Timer for next Soulrender's Grasp.
** Soulrender Zilas: Added: Alert and Timer filtering options.
** Inwar Darktide: Fixed an error during the Inwar encounter.
** Akylios: Added: Mind Decay personal screen alert. (flashing purple)
** Akylios: Added: Breath of Madness warning screen alert (flashing red)
** Akylios: Added: Breath of Madness duration screen alert (solid red) 
** Akylios: Added: Important flag to Mind Decay.
** Akylios: Added: Important flag to Suffocating Orbs.
* Rise of the Phoenix
** Ereandorn: Fixed: settings were not initiating on game start up/reloadui.
* German Translations
** Fixed: Typo with Kampfdauer Anzeige.
** Fixed: Molten Growth skill name.
** Added: Phase related translations.
----
v0.6.2
* New: Settings: Option to Enable/Disable the Addon from triggering entirely.
* New: 2s time-out on death calculations to attempt to prevent encounter restarts.
* New: 2s down-time after wipe calling to allow for damage events to fall off.
* Change: Further adjustments to encounter start accuracy.
* Hammerknell
** Akylios: Added enrage timer. 20 minutes
* German Translations
** Options: Encounter Timers.
** Options: Adjusted wording fo Mechanic Timers.
** Beruhast: Flaming Vortex.
** Beruhast: Inferno Lash.
** Beruhast: Leaping Flame.
** Ereandorn: Excitable Combustion.
** Ereandorn: Molten Growth.
** Ereandorn: Volcanic Eruption.
----
v0.6.1
* New: Encounter phase engine.
* New: Encounter phase monitor.
* New: Encounter phase objectives list.
* Fixed: Buff triggers were not responding.
* Added: /kbmversion slash command (Displays current version)
* French Translations
** Rise of the Phoenix: Beruhast: Leaping Flame
** Rise of the Phoenix: Beruhast: Inferno Lash
** Rise of the Phoenix: Beruhast: Flaming Vortex
* Hammerknell
** Added: Akylios: Phase 2 recognition.
** Added: Akylios: Phase 2: Wave Timer will now stop.
** Added: Akylios: Phase 2: First Suffocating Orb timer.
** Added: Akylios: Phase 2+: Suffocating Orb timers.
** Added: Akylios: Phase 2+: Suffocating Orb personal screen alert.
** Added: Inwar Darktide: Denizar and Aqualix are now tracked.
** Added: Inwar Darktide: Encounter should trigger from Phase 1.
** Fixed: Vladmal Prime: Ancient Flames personal screen alert.
* Gilded Prophecy
** Added: Anrak the Foul: 7 minute enrage timer.
* Encounter Timer
** Fixed: Accuracy is back once again with Time v Enrage.
----
v0.6.0
* Tank-Swap Monitor.
** Now visible to any raid member.
* Rise of the Phoenix:
** Added: Beruhast: Screen alert for Inferno Lash.
** Added: Beruhast: Timer for Leaping Flame.
** Added: Beruhast: Timer for first Leaping Flame.
** Change: Renamed Ereandorn's alerts.
* Options Window:
** New: Collapsible menu headers.
** Change: Swapped Beruhast and Silgen, to show progression flow. 
----
v0.5.9
* New: Ereandorn: Added alert for Ticking Time Bomb.
* New: Ereandorn: Added personal alert for stop casting.
* New: Ereandorn: Added alert for Pillar.
* Note: Please bare with me while I transition this addon to Rift 1.6.
* Note: Several encounters may experience issues at present, this will be fixed.
* Added: German Translation for Encounter start, end messages.
* Fixed: Some Settings were not initiating correctly on start-up/reloadui.
* Fixed: Error spam from Tank-Swap due to Stack sizes. (Rift 1.6 Fix)
* Removed: Rift 1.6 removed commands.
* Change: The options window now has a Rift style close button. (new Rift 1.6)
* Change: Removed the majority of global name-space allocation. (new Rift 1.6)
* Change: Major change with Encounter monitoring using Combat states. (new Rift 1.6)
* Change: Safe's Raid Manager v1.1.0 Beta
----
v0.5.8
* Notice: First release for 1.6, expect more to come.
* Notice: Any needed hot-fixes will be incoming, plus RotP mechanics.
* Change: Support for 1.6 Rift Client.
* Added: French translations for:
** Encounter start, end etc messages.
** Matron Zamira
** Matron Zamira's Mark of Oblivion
** Soulrender Zilas
** Inwar Darktide
** Sicaron's Unholy Contract (Debuff only)
** Grugonim's Rampant Decay
** Grugonim's Corrosive Bile
** River of Souls
** Dark Foci
** Warmaster Galenir
** Plutonus the Immortal
** Herald Gaurath
** Alsbeth the Discordant
** Greenscale's Blight
** Duke Letarues
** Infiltrator Johlen
** Lord Greenscale
** Rise of the Phoenix
** General Silgen
** High Priest Arakhurn
** Gilded Prophecy
** Anrak the Foul
** Drowned Halls
** Assault Commander Jorb
** Joloral Ragetide
----
v0.5.7
* Fixed: Drop shadows on Alert countdown text.
* Fixed: Thalquur is now correctly Thalguur.
* Fixed: Drowned Halls registering as Gilded Prophecy (sneaky!)
* Fixed: Encounter Timer options.
* Fixed: Encounter enrage timer display.
* Fixed: Error reports with some Idle-time combinations.
* Added: German Translations for:
** Sicaron: Unholy Contract trigger.
** Greenscale's Blight
** Oracle Aleria
** Greenscale
** Prince Hylas
** Duke Letarues
** River of Souls
** Warmaster Galenir
** Dark Foci
** Plutonus the Immortal
** Herald Gaurath
** Alsbeth the Discordant
** Drowned Halls
** Assault Commander Jorb
** Joloral Ragetide
** High Priestess Hydriss
** Gilded Prophecy
** Anrak the Foul
** Rise of the Phoenix
** High Priest Arakhurn
----
v0.5.6
* Hot-Fix: Akylios Wave 1 timers and alerts.
----
v0.5.5
* Change: Reduced Inquisitor Garau's time-out by 2 seconds
* Change: Last attempt at fixing encounter wipe detection before 1.6.
* New: Added final template encounters before 1.6.
* Added: Rise of the Phoenix (template)
* Added: Ereandorn (template)
* Added: General Silgen (template)
* Added: Beruhast (template)
* Added: High Priest Arakhurn (template)
* Added: Drowned Halls (template)
* Added: Assault Commander Jorb (template)
* Added: Joloral Ragetide (template)
* Added: Isskal (template)
* Added: Uruluuk (template)
* Added: Gilded Prophecy (template)
* Added: Anrak the Foul (template)
* Added: Guurloth (template)
* Added: Thalquur (template)
* Added: High Priestess Hydriss (template)
----
v0.5.4
* New: Menu Groups for 20 and 10 Man Raids, Master Modes and Expert T1 and T2.
* New: Akylios 5 second warning Wave (P1) screen alert (flashing, blue).
* Change: Attempted to fix the continuing encounter issues, this will be re-addressed in 1.6.
----
v0.5.3
* Fixed: Alerts: Options were not working as intended.
* Fixed: Sicaron: Changed Trigger method for Unholy Contract.
* Fixed: Sicaron: Typo corrected in Trigger method.
* Added: Certain screen alerts now have prefixed countdown timer.
* Added: Sicaron: Red flashing personal alert for 5 seconds after Blue alert.
* Added: Grugonim: German Translation for Rampant Decay.
* Added: Grugonim: German Translation for Corrosive Bile.
----
v0.5.2
* Change: Simplified naming to King Boss Mods (KBM).
* Change: Increased Vladmal Prime's Ancient Flames timer by 1 second.
* Change: Estrode: Enrage Timer reduced to 12 minutes.
* Added: Vladmal Prime: Personal Screen alert for Ancient Flames (orange).
* Added: Vladmal Prime: Alert Filter.
* Added: Grugonim: Screen alert for Rampant Decay (purple)
* Added: Grugonim: Screen alert for Corrosive Bile (dark green)
* Added: Grugonim: Alert filters.
----
v0.5.1
* Change: Attempt to fix Sicaron's Unholy Contract, 12 second solid blue personal alert.
* Change: Unholy Contract timer should now trigger from the emote, instead of from the buff.
* Change: Changed T-SM for Matron Zamira, was incorrect for German clients.
* Change: Dark Concussion changed to a Damage trigger.
* Change: Dark Concussion timer reduced to 13 seconds.
----
v0.5.0
* Fixed: Tank-Swap error spam when there's no stack info.
* Fixed: Personal screen alert for Matron, wasn't registering UnitID for the player.
* Fixed: Garau error report at the start of the fight. Gone.
* Fixed: Incorrect wording for Bloodtide trigger.
* Added: Timer for Shadow Strike.
* Change: Revised trigger system to hopefully iron some issues with event spams.
* Change: Inquisitor Garau's Arcane Essence, increased timer by 2.
* Notice: Personal Bubble for Sicaron will need a review, due to inconsistency in API debuff reporting.
----
v0.4.9
* Fixed: Major issue with timers that could start "silently" leaving redundant timers.
* Fixed: Turning the King Monitor off, actually does so now.
* Fixed: King's Monitor now remembers last settings.
* Fixed: Fixed an issue where filtered castbars would throw out timers completely.
* Fixed: Disabled castbars would also disable the timers and screen alerts.
* Change: Options window scrollers are now more responsive.
----
v0.4.8
* Fixed: Tank-Swap options should now work as intended.
* Fixed: Matron Zamira's Hideous Blast alert.
* Change: Minor adjustments to personal screen alerts engine.
* Change: Anchors should now appear above the options window when visible.
* Added: Sicaron: German Translation for Unholy Contract.
* Added: Akylios: German Translations for Tidal Waves.
* Added: Matron Zamira: German Translation for Mark of Oblivion.
* Added: Matron Zamira's Mark of Oblivion Timer.
* Added: Matron Zamira's Mark Of Oblivion personal screen alert (purple) ** experimental
----
v0.4.7
* New: Buff monitoring and triggers.
* New: Screen alerts now separated by color sets.
* Fixed: Murdantix: Alert Timer option for Soul Trauma.
* Fixed: Say Type Triggers.
* Fixed: Alerts not closing if the encounter ends.
* Fixed: Tank-Swap Monitor was never actually triggering. Should be active now.
* Fixed: Issues when filtering Casts (currently only King fight).
* Added: Matron Zamira: French support for Hideous Blast.
* Added: Matron Zamira: Hideous Blast Screen alert now yellow.
* Added: Sicaron. Mechanic Timer for Unholy Contract.
* Added: Sicaron. Personal screen alert for Unholy Contract. ** experimental
* Added: King Molinar. Screen Alert for Consuming Essence. (yellow)
* Added: Prince Dollin. Screen Alert for Terminate Life. (orange)
* Added: Prince Dollin. Screen Alert for Consuming Essence. (yellow)
* Added: Alert filters for Prince Dollin and King Molinar.
----
v0.4.6
* Fixed: Rare case of idle bosses reporting errors after an encounter.
* Fixed: Murdantix Mangling Crush (German Client)
* Changed: King Molinar. Extended the screen alert for Cursed Blows by 1 second.
* Added: Matron Zamira. German support for Tank-Swaps Matron's Curse.
* Added: Matron Zamira. German support for Dark Concussion.
* Added: Matron Zamira. German support for Hideous Blast.
* Added: Matron Zamira. French support for Dark Concussion.
* Added: German translation for new Screen Alert options.
* Added: French translation for new Screen Alert options.
----
v0.4.5
* Fixed: Errors with Screen Alerts.
* Fixed: Errors with Damage type triggers.
* Added: King Molinar's Cursed Blows Screen Alerts.
----
v0.4.4
* Fixed: Error Messages in Prince Hylas encounter.
* New: First release of KM:Boss Mods alerts, Flashing borders and/or text display.
* Change: Major overhaul of the Trigger engine allowing for greater flexibility.
* Added: German Translation for Murdantix Tank-Swap.
* Added: Murdantix Screen Alert for Soul Trauma.
* Added: Matron Zamira timer for Dark Concussion.
* Added: Matron Zamira Screen Alert for Dark Concussion.
* Added: Matron Zamira Screen Alert for Hideous Blast.
----
v0.4.3
* Fixed: Akylios Phase 1 Wave timer. (No more Error spam).
* Fixed: Enrage Timer no long shows "!! Enraged !!" when it has no enrage set.
* Added: German Translations for:
** More menu options.
** Vladmal Prime's Ancient Flames.
** Inquisitor Garau's Arcane Porters.
** Inquisitor Garau's Arcane Essence.
** Inquisitor Garau's Blood Tide.
** Inquisitor Garau's Infused Crawlers.
** Estrode's Soul Capture.
** Estrode's Mind Control.
----
v0.4.2
* Fixed: Vladmal Prime's Ancient Flames timer.
* Fixed: King Molinar's Consuming Essence now triggers correctly.
* Added: French Translation for Incorporeal Revenant trigger.
* Added: Estrode timer: Soul Capture.
* Added: Estrode timer: Mind Control.
* Added: T-SM Support to Warmaster Galenir. 
* Change: Lord Greenscale's enrage timer.
* Change: Alsbeth the Discordant's enrage timer.
* Change: Herald Gaurath's enrage timer.
* Change: Warmaster Galenir's enrage timer.
* Removed: Many incorrect Enrage timers from GSB and RoS.
----
v0.4.1
* Thanks to Dooc@Spross-Passage for German Translations
* Thanks to Céres@Brisesol for French Translations
* Added: German Translations for Options Window. 
* Added: German Translation for Hammerknell Fortress.
* Added: German Translations for the following bosses.
** Murdantix's mechanics, abilities and options.
** King Molinar's mechanics, abilities and options.
** Matron Zamira encounter recognition.
** Soulrender Zilas encounter recognition.
** Inwar Darktide encounter recognition.
----
v0.4.0
* New: Scroll bars added to Options Window.
* Change: Better looking, and size Options Button.
* Change: Bosses are now less sensitive to calling a wipe on you. 
* Added: New French translations to options window.
* Added: King Molinar Timer filters.
* Added: Prince Dollin Timer filters.
* Added: River of Souls Instance (Template)
* Added: ROS - Dark Foci (Template)
* Added: ROS - Warmaster Galenir (Template)
* Added: ROS - Plutonus the Immortal (Template)
* Added: ROS - Herald Gaurath (Template)
* Added: ROS - Alsbeth the Discordant (Template)
* Added: Greenscale's Blight Instance (Template)
* Added: GSB - Duke Letarues (Template)
* Added: GSB - Infiltrator Johlen (Template)
* Added: GSB - Oracle Aleria (Template)
* Added: GSB - Prince Hylas (Template)
* Added: GSB - Lord Greenscale (Template)
----
v0.3.9
* New!: There's now a basic button for the options screen, Rift Style.
* Note: The new button will be unlocked (right click to move) and centered.
* Added: French Translations for Timer/Enrage Timer.
* Added: French Translations for Timer/Enrage Timer Options.
----
v0.3.8
* New: Encounter Timer.
* New: Hard Enrage Timer.
* Added: French Translations to King Molinar casts
* Added: French Translations to Prince Dollin casts.
* Added: French Translations to King Molinar timers.
* Added: French Translations to Prince Dollin timers.
* Added: Murdantix Enrage Timer.
* Added: Vladmal Prime Enrage Timer.
* Added: Sicaron Enrage Timer.
* Added: King Molinar and Prince Dollin Enrage Timer.
* Added: Estrode Enrage Timer.
* Added: Grugonim Enrage Timer.
* Added: Inquisitor Garau Enrage Timer.
* Added: T-SM support for Matron Zamira.
* Added: Further French translations to the Options Window.
* Change: NPC Chat triggers now use the new "Notify" trigger method.
* Fixed: Damage timers where not triggering correctly, if at all.
----
v0.3.7
* New: Tank-Swap Monitor (T-SM).
* Added: Tank-Swap Monitor to Murdantix. (Experimental, but safe)
* Added: Tank-Swap Monitor to Grugonim. (Experimental, but safe)
* Added: Tank-Swap Options to GUI Options window.
* Added: French Client support for Murdantix Soul Trauma.
* Added: French Client support for Murdantix Demonic Blast.
* Added: Grugonim boss encounter (template).
* Added: Inwar Darktide boss encounter (template).
* Added: Sicaron boss encounter (template).
* Added: Estrode boss encounter (template).
* Added: Added more translation templates to various bosses.
* Change: Murdantix Demonic Blast timer reduces by 1s
* Fixed: Vladmir Prime Ancient Flames.
* Fixed: Error messages for "Notify" type events.
* Fixed: French Translation for Mangling Crush.
----
v0.3.6
* Added: Inquisitor Garau, French client support.
* Added: Inquisitor Garau, French client support for Arcane Essence.
* Added: Inquisitor Garau, partial French client support for Arcane Porters.
* Added: Inquisitor Garau, partial French client support for Infused Crawlers.
* Added: Soulrender Zilas boss encounter (template).
* Added: Matron Zamira boss encounter (template).
* Added: Vladmal Prime boss encounter.
* Added: Vladmal Prime's Ancient Flame timer.
* Added: Murdantix Demonic Blast timer.
* Added: Murdantix Soul Trauma timer.
* Added: Murdantix castbar.
* Added: Matron Zimara castbar.
* Added: Soulrender Zilas castbar.
* Added: Vladmal Prime castbar.
* Added: Inquisitor Garau castbar.
* Fixed: Inquisitor Garau encounter reset.
----
v0.3.5
* Fixed: French Menu options.
* Fixed: New settings method now being used by King's Monitor.
----
v0.3.4
* Fixed: King Molinar's data not resetting correctly after a wipe.
* Change: Prince Dollin's cast bar now uses new Addon cast bar interface.
* Change: King Molinar's cast bar now uses new Addon cast bar interface.
* Change: Further adjustments to Encounter monitoring.
* Change: Notify type timers now link to an Encounter rather than a boss.
* Change: Saved Variables improved again for version differences.
* Added: Redundant Saved Variables will now be removed automatically.
* Added: Internal encounter duration timers in preparation for OSD.
* Added: Time taken message after encounter wipes/victories.
* Added: French support for Murdantix Encounter.
* Added: New internal language dictionary interface.
* Added: Akylios framework. *Encounter start/wipe for Phase 1 only. (test)
* Added: Akylios Wave counter for Phase 1 only (test)
* Added: New repeatable persistent timers.
----
v0.3.3
* Changed Tracking methods for King and Prince after Unit.Unavailable
* Above possibly fixes cases where the monitor could lose track of HP.
----
v0.3.2
* More adjustments to the Encounter Start/End monitoring (Hopefully this time!).
* Fixed an issue with Murdantix encounter locking out all other bosses.
* Added the Inquisitor Garau encounter.
* Added Inquisitor Garau Options page.
* New Timer: (Garau) Blood Tide
* New Timer: (Garau) Infused Crawlers
* New Timer: (Garau) Arcane Porters
* New Timer: (Garau) Arcane Essence
* New Timer: (King Molinar) Incorporeal Revenants
* Changed Saved Variables to handle version changes better, and future per-character settings.
* [King Molinar] Increased polling rate of monitor for smoother updates.
----
v0.3.1
* Fixed Variable initialization
----
v0.3.0
* Adjusted how an Encounter Starts / Ends. Should be more fluid.
* Preparation work added for Notify type boss mechanic timers.
* Preparation work added for Boss say mechanic timers.
* Added first draft of Cascading Timer Mechanics
* Added Option to show/hide Timer Anchor.
* Added Option to Move/lock Timer Anchor.
* Added Option to show/hide future Castbar Anchor.
* Added Option to Move/lock future Castbar Anchor. 
* Added Timers to Rune King Molinar and Prince Dollin
* New Timer: (Prince Dollin) Runic Feedback
* New Timer: (Prince Dollin) Consuming Essence
* New Timer: (Prince Dollin) Terminate Life
* New Timer: (King Molinar) Cursed Blows
* New Timer: (King Molinar) Consuming Essence
* Added Encounter: Murdantix
* Added Timers for Murdantix
* New Timer: (Murdantix) Mangling Crush
* New Timer: (Murdantix) Ferocious Pound
* Added Selective Timer Options for Murdantix
* Note: Sizing of castbars, and Timers currently removed. They'll return.
----
v0.2.3
* Note: Early release to hopefully catch inconsistency with abilities.
* Fix should be in place for better Cast bar filtering.
* Added the ability to select options via the description.
* More back-end changes to the plug-in system.
* Improved options page functionality.
----
v0.2.2
* First Instance of the Encounter being a plug-in mod.
* Added Cast filtering for both King Molinar and Prince Dollin.
* Added the following Cast filters.
** Rend Life.
** Terminate Life.
** Crushing Regret.
** Consuming Essence (King Molinar.)
** Consuming Essence (Prince Dollin.)
** Forked Blast.
** Runic Feedback.
** Frightening Shout.
** Cursed Blows.
* Added Cast Filtering Options.
* Once again removed Chronicles triggering the HK Mod.
* All commands are now /kbm not /km
* Autoreset enabled by default, and still a slash command only (/kbmautoreset).
----
v0.2.1
* Fixed bugged SavedVariables.
----
v0.2.0
* Overhauled main framework.
* Enabled King and Princes bars as both always visible.
* Removed most slash commands in favor of the new GUI Options.
* Added GUI Options screen. (use /kbmoptions)
* Added Start of Boss Mods plug-in framework for more encounters.
* Changed Addon file layout to be self-contained.
* Started work on splitting King's encounter as a plug-in.
----
v0.1.0
* German localization should be working again.
* Added a cast bar for Prince Dollin below the monitor (when visible).
* Added a cast bar for King Molinar above the monitor (when visible).
* Added command /kmprincebar
* Added command /kmkingbar
* The monitor should no longer trigger in HK Chronicles.
----
v0.0.9
* Fixed lock/unlock messages to the client.
----
v0.0.8
* Increased polling rate of the monitor slightly.
* Percentage calculations tweaked further.
* New Command: /kmautoreset (Experimental)
* New Command: /kmsize (toggles monitor size between normal/compact)
* New Command: /kmhelp (lists all commands in game)
* Added a compact version of the monitor (see /kmsize)
* Added auto reset when the bosses die.
* Added experimental auto reset condition checking for wipes/resets. (See /kmautoreset)
----
v0.0.7
* Added first instance of the monitor auto-showing on encounter start.
* Increased the polling rate of the monitor for further accuracy improvements.
----
v0.0.6 Beta
* Added German client support.
* Added French client support.
* Adjusted percentage accuracy again.
* Changed the styling of the HP bars for each boss slightly.
* Added New command, /kmreset, which will reset the monitor only, not your display.
----
v0.0.5 Beta
* Fixed Saved Variables not initializing correctly with older versions previously installed. (Error 301)
----
v0.0.4 Beta
* Tested in Chronicles tonight, removed all the chat spam errors that could appear.
* Uploaded the right version of the file. 0.0.2, and 0.0.3 were never actually uploaded. Hence no one ever actually seeing the fixes.
----
v0.0.3 Beta
* Took another look at the chat spam errors. Having to test this blind, so apologies.
----
v0.0.2 Beta
* Now saves both the locked and hidden states.
* Rounding issues with the percentages being -1 to their actual values.
* Removed errors being posted to chat during deaths.
----
v0.0.1 Beta
* Initial Release
